/*
 React
 react-dom-server-legacy.node.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ca=require("react"),da=require("react-dom"),fa=Symbol.for("react.element"),ha=Symbol.for("react.portal"),la=Symbol.for("react.fragment"),ma=Symbol.for("react.strict_mode"),na=Symbol.for("react.profiler"),va=Symbol.for("react.provider"),wa=Symbol.for("react.consumer"),xa=Symbol.for("react.context"),ya=Symbol.for("react.forward_ref"),za=Symbol.for("react.suspense"),Aa=Symbol.for("react.suspense_list"),Ga=Symbol.for("react.memo"),Ha=Symbol.for("react.lazy"),Ia=Symbol.for("react.scope"),
Ja=Symbol.for("react.debug_trace_mode"),Ka=Symbol.for("react.offscreen"),Ua=Symbol.for("react.legacy_hidden"),ab=Symbol.iterator,bb=Array.isArray;
function cb(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var w=Object.assign,y=Object.prototype.hasOwnProperty,db=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),eb={},fb={};
function gb(a){if(y.call(fb,a))return!0;if(y.call(eb,a))return!1;if(db.test(a))return fb[a]=!0;eb[a]=!0;return!1}
var hb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),ib=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),jb=/["'&<>]/;
function z(a){if("boolean"===typeof a||"number"===typeof a||"bigint"===typeof a)return""+a;a=""+a;var b=jb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var kb=/([A-Z])/g,lb=/^ms-/,mb=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function nb(a){return mb.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var zb=ca.__CLIENT_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,Ab=da.__DOM_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,Bb={pending:!1,data:null,method:null,action:null},Cb=Ab.d;Ab.d={f:Cb.f,r:Cb.r,D:Db,C:Eb,L:Fb,m:Gb,X:Hb,S:Ib,M:Jb};var C=[],Kb=/(<\/|<)(s)(cript)/gi;function Lb(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}
function Mb(a,b,c,d,e){return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:0,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function G(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function Nb(a,b,c){switch(b){case "noscript":return G(2,null,a.tagScope|1);case "select":return G(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return G(3,null,a.tagScope);case "picture":return G(2,null,a.tagScope|2);case "math":return G(4,null,a.tagScope);case "foreignObject":return G(2,null,a.tagScope);case "table":return G(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return G(6,null,a.tagScope);case "colgroup":return G(8,null,a.tagScope);case "tr":return G(7,null,a.tagScope)}return 5<=
a.insertionMode?G(2,null,a.tagScope):0===a.insertionMode?"html"===b?G(1,null,a.tagScope):G(2,null,a.tagScope):1===a.insertionMode?G(2,null,a.tagScope):a}var Ob=new Map;
function Pb(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(y.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=z(d);e=z((""+e).trim())}else f=Ob.get(d),void 0===f&&(f=z(d.replace(kb,"-$1").toLowerCase().replace(lb,"-ms-")),Ob.set(d,f)),e="number"===typeof e?0===e||hb.has(d)?""+e:e+"px":
z((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function Qb(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function K(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',z(c),'"')}var Rb=z("javascript:throw new Error('React form unexpectedly submitted.')");
function Sb(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");K(this,"name",b);K(this,"value",a);this.push("/>")}function Tb(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function Ub(a,b,c,d,e,f,g,k){var h=null;if("function"===typeof d){var l=Tb(b,d);null!==l?(k=l.name,d=l.action||"",e=l.encType,f=l.method,g=l.target,h=l.data):(a.push(" ","formAction",'="',Rb,'"'),g=f=e=d=k=null,Vb(b,c))}null!=k&&L(a,"name",k);null!=d&&L(a,"formAction",d);null!=e&&L(a,"formEncType",e);null!=f&&L(a,"formMethod",f);null!=g&&L(a,"formTarget",g);return h}
function L(a,b,c){switch(b){case "className":K(a,"class",c);break;case "tabIndex":K(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":K(a,b,c);break;case "style":Pb(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=nb(""+c);a.push(" ",b,'="',z(c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":Qb(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=nb(""+c);a.push(" ","xlink:href",'="',z(c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',z(c),'"');break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',z(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',z(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',z(c),'"');break;case "xlinkActuate":K(a,"xlink:actuate",
c);break;case "xlinkArcrole":K(a,"xlink:arcrole",c);break;case "xlinkRole":K(a,"xlink:role",c);break;case "xlinkShow":K(a,"xlink:show",c);break;case "xlinkTitle":K(a,"xlink:title",c);break;case "xlinkType":K(a,"xlink:type",c);break;case "xmlBase":K(a,"xml:base",c);break;case "xmlLang":K(a,"xml:lang",c);break;case "xmlSpace":K(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=ib.get(b)||b,gb(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',z(c),'"')}}}function M(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function Wb(a){var b="";ca.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function Vb(a,b){0===(a.instructions&16)&&(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});',"\x3c/script>"))}
function O(a,b){a.push(P("link"));for(var c in b)if(y.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:L(a,c,d)}}a.push("/>");return null}var Xb=/(<\/|<)(s)(tyle)/gi;function Yb(a,b,c,d){return""+b+("s"===c?"\\73 ":"\\53 ")+d}
function nc(a,b,c){a.push(P(c));for(var d in b)if(y.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:L(a,d,e)}}a.push("/>");return null}
function oc(a,b){a.push(P("title"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:L(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(z(""+b));M(a,d,c);a.push(pc("title"));return null}
function qc(a,b){a.push(P("script"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:L(a,e,f)}}a.push(">");M(a,d,c);"string"===typeof c&&a.push((""+c).replace(Kb,Lb));a.push(pc("script"));return null}
function rc(a,b,c){a.push(P(c));var d=c=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:L(a,e,f)}}a.push(">");M(a,d,c);return"string"===typeof c?(a.push(z(c)),null):c}var sc=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,tc=new Map;function P(a){var b=tc.get(a);if(void 0===b){if(!sc.test(a))throw Error("Invalid tag: "+a);b="<"+a;tc.set(a,b)}return b}
function uc(a,b,c,d,e,f,g,k,h){switch(b){case "div":case "span":case "svg":case "path":break;case "a":a.push(P("a"));var l=null,m=null,n;for(n in c)if(y.call(c,n)){var p=c[n];if(null!=p)switch(n){case "children":l=p;break;case "dangerouslySetInnerHTML":m=p;break;case "href":""===p?K(a,"href",""):L(a,n,p);break;default:L(a,n,p)}}a.push(">");M(a,m,l);if("string"===typeof l){a.push(z(l));var q=null}else q=l;return q;case "g":case "p":case "li":break;case "select":a.push(P("select"));var r=null,v=null,
x;for(x in c)if(y.call(c,x)){var u=c[x];if(null!=u)switch(x){case "children":r=u;break;case "dangerouslySetInnerHTML":v=u;break;case "defaultValue":case "value":break;default:L(a,x,u)}}a.push(">");M(a,v,r);return r;case "option":var A=g.selectedValue;a.push(P("option"));var E=null,D=null,t=null,B=null,Y;for(Y in c)if(y.call(c,Y)){var Z=c[Y];if(null!=Z)switch(Y){case "children":E=Z;break;case "selected":t=Z;break;case "dangerouslySetInnerHTML":B=Z;break;case "value":D=Z;default:L(a,Y,Z)}}if(null!=
A){var F=null!==D?""+D:Wb(E);if(bb(A))for(var H=0;H<A.length;H++){if(""+A[H]===F){a.push(' selected=""');break}}else""+A===F&&a.push(' selected=""')}else t&&a.push(' selected=""');a.push(">");M(a,B,E);return E;case "textarea":a.push(P("textarea"));var I=null,oa=null,U=null,ia;for(ia in c)if(y.call(c,ia)){var aa=c[ia];if(null!=aa)switch(ia){case "children":U=aa;break;case "value":I=aa;break;case "defaultValue":oa=aa;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");
default:L(a,ia,aa)}}null===I&&null!==oa&&(I=oa);a.push(">");if(null!=U){if(null!=I)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(bb(U)){if(1<U.length)throw Error("<textarea> can only have at most one child.");I=""+U[0]}I=""+U}"string"===typeof I&&"\n"===I[0]&&a.push("\n");null!==I&&a.push(z(""+I));return null;case "input":a.push(P("input"));var id=null,jd=null,kd=null,ld=null,md=null,Zb=null,$b=null,ac=null,bc=null,La;for(La in c)if(y.call(c,La)){var V=c[La];
if(null!=V)switch(La){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":id=V;break;case "formAction":jd=V;break;case "formEncType":kd=V;break;case "formMethod":ld=V;break;case "formTarget":md=V;break;case "defaultChecked":bc=V;break;case "defaultValue":$b=V;break;case "checked":ac=V;break;case "value":Zb=V;break;default:L(a,La,V)}}var nd=Ub(a,d,e,jd,kd,ld,md,id);null!==ac?Qb(a,"checked",
ac):null!==bc&&Qb(a,"checked",bc);null!==Zb?L(a,"value",Zb):null!==$b&&L(a,"value",$b);a.push("/>");null!=nd&&nd.forEach(Sb,a);return null;case "button":a.push(P("button"));var Ma=null,od=null,pd=null,qd=null,rd=null,sd=null,td=null,Na;for(Na in c)if(y.call(c,Na)){var ea=c[Na];if(null!=ea)switch(Na){case "children":Ma=ea;break;case "dangerouslySetInnerHTML":od=ea;break;case "name":pd=ea;break;case "formAction":qd=ea;break;case "formEncType":rd=ea;break;case "formMethod":sd=ea;break;case "formTarget":td=
ea;break;default:L(a,Na,ea)}}var ud=Ub(a,d,e,qd,rd,sd,td,pd);a.push(">");null!=ud&&ud.forEach(Sb,a);M(a,od,Ma);if("string"===typeof Ma){a.push(z(Ma));var vd=null}else vd=Ma;return vd;case "form":a.push(P("form"));var Oa=null,wd=null,pa=null,Pa=null,Qa=null,Ra=null,Sa;for(Sa in c)if(y.call(c,Sa)){var ja=c[Sa];if(null!=ja)switch(Sa){case "children":Oa=ja;break;case "dangerouslySetInnerHTML":wd=ja;break;case "action":pa=ja;break;case "encType":Pa=ja;break;case "method":Qa=ja;break;case "target":Ra=ja;
break;default:L(a,Sa,ja)}}var cc=null,dc=null;if("function"===typeof pa){var qa=Tb(d,pa);null!==qa?(pa=qa.action||"",Pa=qa.encType,Qa=qa.method,Ra=qa.target,cc=qa.data,dc=qa.name):(a.push(" ","action",'="',Rb,'"'),Ra=Qa=Pa=pa=null,Vb(d,e))}null!=pa&&L(a,"action",pa);null!=Pa&&L(a,"encType",Pa);null!=Qa&&L(a,"method",Qa);null!=Ra&&L(a,"target",Ra);a.push(">");null!==dc&&(a.push('<input type="hidden"'),K(a,"name",dc),a.push("/>"),null!=cc&&cc.forEach(Sb,a));M(a,wd,Oa);if("string"===typeof Oa){a.push(z(Oa));
var xd=null}else xd=Oa;return xd;case "menuitem":a.push(P("menuitem"));for(var ob in c)if(y.call(c,ob)){var yd=c[ob];if(null!=yd)switch(ob){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:L(a,ob,yd)}}a.push(">");return null;case "title":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var ec=oc(a,c);else h?ec=null:(oc(e.hoistableChunks,c),ec=void 0);return ec;case "link":var Te=c.rel,ka=c.href,pb=c.precedence;
if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Te||"string"!==typeof ka||""===ka){O(a,c);var Ta=null}else if("stylesheet"===c.rel)if("string"!==typeof pb||null!=c.disabled||c.onLoad||c.onError)Ta=O(a,c);else{var Ba=e.styles.get(pb),qb=d.styleResources.hasOwnProperty(ka)?d.styleResources[ka]:void 0;if(null!==qb){d.styleResources[ka]=null;Ba||(Ba={precedence:z(pb),rules:[],hrefs:[],sheets:new Map},e.styles.set(pb,Ba));var rb={state:0,props:w({},c,{"data-precedence":c.precedence,
precedence:null})};if(qb){2===qb.length&&vc(rb.props,qb);var fc=e.preloads.stylesheets.get(ka);fc&&0<fc.length?fc.length=0:rb.state=1}Ba.sheets.set(ka,rb);f&&f.stylesheets.add(rb)}else if(Ba){var zd=Ba.sheets.get(ka);zd&&f&&f.stylesheets.add(zd)}k&&a.push("\x3c!-- --\x3e");Ta=null}else c.onLoad||c.onError?Ta=O(a,c):(k&&a.push("\x3c!-- --\x3e"),Ta=h?null:O(e.hoistableChunks,c));return Ta;case "script":var gc=c.async;if("string"!==typeof c.src||!c.src||!gc||"function"===typeof gc||"symbol"===typeof gc||
c.onLoad||c.onError||3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Ad=qc(a,c);else{var sb=c.src;if("module"===c.type){var tb=d.moduleScriptResources;var Bd=e.preloads.moduleScripts}else tb=d.scriptResources,Bd=e.preloads.scripts;var ub=tb.hasOwnProperty(sb)?tb[sb]:void 0;if(null!==ub){tb[sb]=null;var hc=c;if(ub){2===ub.length&&(hc=w({},c),vc(hc,ub));var Cd=Bd.get(sb);Cd&&(Cd.length=0)}var Dd=[];e.scripts.add(Dd);qc(Dd,hc)}k&&a.push("\x3c!-- --\x3e");Ad=null}return Ad;case "style":var vb=
c.precedence,ra=c.href;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof vb||"string"!==typeof ra||""===ra){a.push(P("style"));var Ca=null,Ed=null,Va;for(Va in c)if(y.call(c,Va)){var wb=c[Va];if(null!=wb)switch(Va){case "children":Ca=wb;break;case "dangerouslySetInnerHTML":Ed=wb;break;default:L(a,Va,wb)}}a.push(">");var Wa=Array.isArray(Ca)?2>Ca.length?Ca[0]:null:Ca;"function"!==typeof Wa&&"symbol"!==typeof Wa&&null!==Wa&&void 0!==Wa&&a.push((""+Wa).replace(Xb,Yb));M(a,Ed,
Ca);a.push(pc("style"));var Fd=null}else{var sa=e.styles.get(vb);if(null!==(d.styleResources.hasOwnProperty(ra)?d.styleResources[ra]:void 0)){d.styleResources[ra]=null;sa?sa.hrefs.push(z(ra)):(sa={precedence:z(vb),rules:[],hrefs:[z(ra)],sheets:new Map},e.styles.set(vb,sa));var Gd=sa.rules,Da=null,Hd=null,xb;for(xb in c)if(y.call(c,xb)){var ic=c[xb];if(null!=ic)switch(xb){case "children":Da=ic;break;case "dangerouslySetInnerHTML":Hd=ic}}var Xa=Array.isArray(Da)?2>Da.length?Da[0]:null:Da;"function"!==
typeof Xa&&"symbol"!==typeof Xa&&null!==Xa&&void 0!==Xa&&Gd.push((""+Xa).replace(Xb,Yb));M(Gd,Hd,Da)}sa&&f&&f.styles.add(sa);k&&a.push("\x3c!-- --\x3e");Fd=void 0}return Fd;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Id=nc(a,c,"meta");else k&&a.push("\x3c!-- --\x3e"),Id=h?null:"string"===typeof c.charSet?nc(e.charsetChunks,c,"meta"):"viewport"===c.name?nc(e.viewportChunks,c,"meta"):nc(e.hoistableChunks,c,"meta");return Id;case "listing":case "pre":a.push(P(b));var Ya=null,
Za=null,$a;for($a in c)if(y.call(c,$a)){var yb=c[$a];if(null!=yb)switch($a){case "children":Ya=yb;break;case "dangerouslySetInnerHTML":Za=yb;break;default:L(a,$a,yb)}}a.push(">");if(null!=Za){if(null!=Ya)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof Za||!("__html"in Za))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");var ta=
Za.__html;null!==ta&&void 0!==ta&&("string"===typeof ta&&0<ta.length&&"\n"===ta[0]?a.push("\n",ta):a.push(""+ta))}"string"===typeof Ya&&"\n"===Ya[0]&&a.push("\n");return Ya;case "img":var N=c.src,J=c.srcSet;if(!("lazy"===c.loading||!N&&!J||"string"!==typeof N&&null!=N||"string"!==typeof J&&null!=J)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&3)&&("string"!==typeof N||":"!==N[4]||"d"!==N[0]&&"D"!==N[0]||"a"!==N[1]&&"A"!==N[1]||"t"!==N[2]&&"T"!==N[2]||"a"!==N[3]&&"A"!==N[3])&&("string"!==typeof J||
":"!==J[4]||"d"!==J[0]&&"D"!==J[0]||"a"!==J[1]&&"A"!==J[1]||"t"!==J[2]&&"T"!==J[2]||"a"!==J[3]&&"A"!==J[3])){var Jd="string"===typeof c.sizes?c.sizes:void 0,Ea=J?J+"\n"+(Jd||""):N,jc=e.preloads.images,ua=jc.get(Ea);if(ua){if("high"===c.fetchPriority||10>e.highImagePreloads.size)jc.delete(Ea),e.highImagePreloads.add(ua)}else if(!d.imageResources.hasOwnProperty(Ea)){d.imageResources[Ea]=C;var kc=c.crossOrigin;var Kd="string"===typeof kc?"use-credentials"===kc?kc:"":void 0;var ba=e.headers,lc;ba&&0<
ba.remainingCapacity&&("high"===c.fetchPriority||500>ba.highImagePreloads.length)&&(lc=wc(N,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:Kd,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(ba.remainingCapacity-=lc.length))?(e.resets.image[Ea]=C,ba.highImagePreloads&&(ba.highImagePreloads+=", "),ba.highImagePreloads+=lc):(ua=[],O(ua,{rel:"preload",as:"image",href:J?void 0:N,imageSrcSet:J,imageSizes:Jd,crossOrigin:Kd,
integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(ua):(e.bulkPreloads.add(ua),jc.set(Ea,ua)))}}return nc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return nc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;
case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var Ld=rc(e.headChunks,c,"head")}else Ld=rc(a,c,"head");return Ld;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Md=rc(e.htmlChunks,c,"html")}else Md=rc(a,c,"html");return Md;default:if(-1!==b.indexOf("-")){a.push(P(b));var mc=null,Nd=null,Fa;for(Fa in c)if(y.call(c,Fa)){var W=c[Fa];if(null!=W){var Od=Fa;switch(Fa){case "children":mc=W;break;case "dangerouslySetInnerHTML":Nd=W;break;case "style":Pb(a,
W);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;case "className":Od="class";default:if(gb(Fa)&&"function"!==typeof W&&"symbol"!==typeof W&&!1!==W){if(!0===W)W="";else if("object"===typeof W)continue;a.push(" ",Od,'="',z(W),'"')}}}}a.push(">");M(a,Nd,mc);return mc}}return rc(a,c,b)}var xc=new Map;function pc(a){var b=xc.get(a);void 0===b&&(b="</"+a+">",xc.set(a,b));return b}
function yc(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}function zc(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Ac(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Bc(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var Cc=/[<\u2028\u2029]/g;
function Dc(a){return JSON.stringify(a).replace(Cc,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Ec=/[&><\u2028\u2029]/g;
function Fc(a){return JSON.stringify(a).replace(Ec,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Gc=!1,Hc=!0;
function Ic(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);Hc=this.push("</style>");Gc=!0;b.length=0;c.length=0}}function Jc(a){return 2!==a.state?Gc=!0:!1}function Kc(a,b,c){Gc=!1;Hc=!0;b.styles.forEach(Ic,a);b.stylesheets.forEach(Jc);Gc&&(c.stylesToHoist=!0);return Hc}
function Q(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var Lc=[];function Mc(a){O(Lc,a.props);for(var b=0;b<Lc.length;b++)this.push(Lc[b]);Lc.length=0;a.state=2}
function Nc(a){var b=0<a.sheets.size;a.sheets.forEach(Mc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function Oc(a){if(0===a.state){a.state=1;var b=a.props;O(Lc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<Lc.length;a++)this.push(Lc[a]);Lc.length=0}}function Pc(a){a.sheets.forEach(Oc,this);a.sheets.clear()}
function Qc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=Fc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=nb(""+d.props.href);g=Fc(g);a.push(g);e=""+e;a.push(",");e=Fc(e);a.push(e);for(var k in f)if(y.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Rc(a,k,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Rc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=nb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!gb(b))return;b=""+c}a.push(",");d=Fc(d);a.push(d);
a.push(",");d=Fc(b);a.push(d)}function Sc(){return{styles:new Set,stylesheets:new Set}}
function Db(a){var b=R?R:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(Tc,Uc)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],O(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}Vc(b)}}else Cb.D(a)}
function Eb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,k;if(k=d&&0<d.remainingCapacity){k="<"+(""+a).replace(Tc,Uc)+">; rel=preconnect";if("string"===typeof b){var h=(""+b).replace(Wc,Xc);k+='; crossorigin="'+h+'"'}k=(g=k,2<=(d.remainingCapacity-=g.length))}k?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],O(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}Vc(c)}}else Cb.C(a,b)}
function Fb(a,b,c){var d=R?R:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var k=c.imageSizes;var h=c.fetchPriority}var l=g?g+"\n"+(k||""):a;if(e.imageResources.hasOwnProperty(l))return;e.imageResources[l]=C;e=f.headers;var m;e&&0<e.remainingCapacity&&"high"===h&&(m=wc(a,b,c),2<=(e.remainingCapacity-=m.length))?(f.resets.image[l]=C,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=m):(e=[],O(e,w({rel:"preload",href:g?
void 0:a,as:b},c)),"high"===h?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(l,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];O(g,w({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
O(g,w({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=C;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(l=wc(a,b,c),2<=(e.remainingCapacity-=l.length)))f.resets.font[a]=C,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=l;else switch(e=[],
a=w({rel:"preload",href:a,as:b},c),O(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}Vc(d)}}else Cb.L(a,b,c)}
function Gb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?C:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=C}O(f,w({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);Vc(c)}}else Cb.m(a,b)}
function Ib(a,b,c){var d=R?R:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),k=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==k&&(e.styleResources[a]=null,g||(g={precedence:z(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:w({rel:"stylesheet",href:a,"data-precedence":b},c)},k&&(2===k.length&&vc(b.props,k),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),Vc(d))}}else Cb.S(a,
b,c)}function Hb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=w({src:a,async:!0},b),f&&(2===f.length&&vc(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),qc(a,b),Vc(c))}}else Cb.X(a,b)}
function Jb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=w({src:a,type:"module",async:!0},b),f&&(2===f.length&&vc(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),qc(a,b),Vc(c))}}else Cb.M(a,b)}function vc(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function wc(a,b,c){a=(""+a).replace(Tc,Uc);b=(""+b).replace(Wc,Xc);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)y.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(Wc,Xc)+'"'));return b}var Tc=/[<>\r\n]/g;
function Uc(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var Wc=/["';,\r\n]/g;
function Xc(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function Yc(a){this.styles.add(a)}function Zc(a){this.stylesheets.add(a)}
function $c(a,b){var c=a.idPrefix,d=[],e=a.bootstrapScriptContent,f=a.bootstrapScripts,g=a.bootstrapModules;void 0!==e&&d.push("<script>",(""+e).replace(Kb,Lb),"\x3c/script>");e=c+"P:";var k=c+"S:";c+="B:";var h=new Set,l=new Set,m=new Set,n=new Map,p=new Set,q=new Set,r=new Set,v={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};if(void 0!==f)for(var x=0;x<f.length;x++){var u=f[x],A,E=void 0,D=void 0,t={rel:"preload",as:"script",fetchPriority:"low",nonce:void 0};"string"===
typeof u?t.href=A=u:(t.href=A=u.src,t.integrity=D="string"===typeof u.integrity?u.integrity:void 0,t.crossOrigin=E="string"===typeof u||null==u.crossOrigin?void 0:"use-credentials"===u.crossOrigin?"use-credentials":"");u=a;var B=A;u.scriptResources[B]=null;u.moduleScriptResources[B]=null;u=[];O(u,t);p.add(u);d.push('<script src="',z(A));"string"===typeof D&&d.push('" integrity="',z(D));"string"===typeof E&&d.push('" crossorigin="',z(E));d.push('" async="">\x3c/script>')}if(void 0!==g)for(f=0;f<g.length;f++)t=
g[f],E=A=void 0,D={rel:"modulepreload",fetchPriority:"low",nonce:void 0},"string"===typeof t?D.href=x=t:(D.href=x=t.src,D.integrity=E="string"===typeof t.integrity?t.integrity:void 0,D.crossOrigin=A="string"===typeof t||null==t.crossOrigin?void 0:"use-credentials"===t.crossOrigin?"use-credentials":""),t=a,u=x,t.scriptResources[u]=null,t.moduleScriptResources[u]=null,t=[],O(t,D),p.add(t),d.push('<script type="module" src="',z(x)),"string"===typeof E&&d.push('" integrity="',z(E)),"string"===typeof A&&
d.push('" crossorigin="',z(A)),d.push('" async="">\x3c/script>');return{placeholderPrefix:e,segmentPrefix:k,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:d,importMapChunks:[],onHeaders:void 0,headers:null,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:h,fontPreloads:l,highImagePreloads:m,styles:n,bootstrapScripts:p,
scripts:q,bulkPreloads:r,preloads:v,stylesToHoist:!1,generateStaticMarkup:b}}function ad(a,b,c,d){if(c.generateStaticMarkup)return a.push(z(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(z(b)),a=!0);return a}var bd=Symbol.for("react.client.reference");
function cd(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===bd?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case la:return"Fragment";case ha:return"Portal";case na:return"Profiler";case ma:return"StrictMode";case za:return"Suspense";case Aa:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case xa:return(a.displayName||"Context")+".Provider";case wa:return(a._context.displayName||"Context")+".Consumer";case ya:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Ga:return b=a.displayName||null,null!==b?b:cd(a.type)||"Memo";case Ha:b=a._payload;a=a._init;try{return cd(a(b))}catch(c){}}return null}var dd={},ed=null;
function fd(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");fd(a,c)}b.context._currentValue2=b.value}}function gd(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&gd(a)}
function hd(a){var b=a.parent;null!==b&&hd(b);a.context._currentValue2=a.value}function Pd(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?fd(a,b):Pd(a,b)}
function Qd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?fd(a,c):Qd(a,c);b.context._currentValue2=b.value}function Rd(a){var b=ed;b!==a&&(null===b?hd(a):null===a?gd(b):b.depth===a.depth?fd(b,a):b.depth>a.depth?Pd(b,a):Qd(b,a),ed=a)}
var Sd={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Td={id:1,overflow:""};function Ud(a,b,c){var d=a.id;a=a.overflow;var e=32-Vd(d)-1;d&=~(1<<e);c+=1;var f=32-Vd(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-Vd(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Vd=Math.clz32?Math.clz32:Wd,Xd=Math.log,Yd=Math.LN2;function Wd(a){a>>>=0;return 0===a?32:31-(Xd(a)/Yd|0)|0}var Zd=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function $d(){}
function ae(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then($d,$d),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:"string"===typeof b.status?b.then($d,$d):(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}));switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}be=b;throw Zd;}}var be=null;
function ce(){if(null===be)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=be;be=null;return a}function de(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var ee="function"===typeof Object.is?Object.is:de,fe=null,ge=null,he=null,ie=null,je=null,S=null,ke=!1,le=!1,me=0,ne=0,oe=-1,pe=0,qe=null,re=null,se=0;
function te(){if(null===fe)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return fe}
function ue(){if(0<se)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function ve(){null===S?null===je?(ke=!1,je=S=ue()):(ke=!0,S=je):null===S.next?(ke=!1,S=S.next=ue()):(ke=!0,S=S.next);return S}function we(){var a=qe;qe=null;return a}function xe(){ie=he=ge=fe=null;le=!1;je=null;se=0;S=re=null}function ye(a,b){return"function"===typeof b?b(a):b}
function ze(a,b,c){fe=te();S=ve();if(ke){var d=S.queue;b=d.dispatch;if(null!==re&&(c=re.get(d),void 0!==c)){re.delete(d);d=S.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);S.memoizedState=d;return[d,b]}return[S.memoizedState,b]}a=a===ye?"function"===typeof b?b():b:void 0!==c?c(b):b;S.memoizedState=a;a=S.queue={last:null,dispatch:null};a=a.dispatch=Ae.bind(null,fe,a);return[S.memoizedState,a]}
function Be(a,b){fe=te();S=ve();b=void 0===b?null:b;if(null!==S){var c=S.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!ee(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();S.memoizedState=[a,b];return a}
function Ae(a,b,c){if(25<=se)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===fe)if(le=!0,a={action:c,next:null},null===re&&(re=new Map),c=re.get(b),void 0===c)re.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Ce(){throw Error("startTransition cannot be called during server rendering.");}function De(){throw Error("Cannot update optimistic state while rendering.");}
function Ee(a,b,c){te();var d=ne++,e=he;if("function"===typeof a.$$FORM_ACTION){var f=null,g=ie;e=e.formState;var k=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof k){var h=e[1];k.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+cb(JSON.stringify([g,null,d]),0),h===f&&(oe=d,b=e[0]))}var l=a.bind(null,b);a=function(n){l(n)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(n){n=l.$$FORM_ACTION(n);void 0!==c&&(c+="",n.action=c);var p=n.data;p&&(null===f&&(f=void 0!==c?"p"+c:"k"+cb(JSON.stringify([g,
null,d]),0)),p.append("$ACTION_KEY",f));return n});return[b,a,!1]}var m=a.bind(null,b);return[b,function(n){m(n)},!1]}function Fe(a){var b=pe;pe+=1;null===qe&&(qe=[]);return ae(qe,a,b)}function Ge(){throw Error("Cache cannot be refreshed during server rendering.");}function He(){}
var Je={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Fe(a);if(a.$$typeof===xa)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){te();return a._currentValue2},useMemo:Be,useReducer:ze,useRef:function(a){fe=te();S=ve();var b=S.memoizedState;return null===b?(a={current:a},S.memoizedState=a):b},useState:function(a){return ze(ye,a)},useInsertionEffect:He,
useLayoutEffect:He,useCallback:function(a,b){return Be(function(){return a},b)},useImperativeHandle:He,useEffect:He,useDebugValue:He,useDeferredValue:function(a,b){te();return void 0!==b?b:a},useTransition:function(){te();return[!1,Ce]},useId:function(){var a=ge.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Vd(a)-1)).toString(32)+b;var c=Ie;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=me++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+
b.toString(32));return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Ge},useHostTransitionStatus:function(){te();return Bb},useOptimistic:function(a){te();return[a,De]}};Je.useFormState=Ee;Je.useActionState=Ee;var Ie=null,Ke={getCacheForType:function(){throw Error("Not implemented.");}},Le;
function Me(a){if(void 0===Le)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Le=b&&b[1]||""}return"\n"+Le+a}var Ne=!1;
function Oe(a,b){if(!a||Ne)return"";Ne=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var n=function(){throw Error();};Object.defineProperty(n.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(n,[])}catch(q){var p=q}Reflect.construct(a,[],n)}else{try{n.call()}catch(q){p=q}a.call(n.prototype)}}else{try{throw Error();}catch(q){p=q}(n=a())&&"function"===typeof n.catch&&
n.catch(function(){})}}catch(q){if(q&&p&&"string"===typeof q.stack)return[q.stack,p.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],k=f[1];if(g&&k){var h=g.split("\n"),l=k.split("\n");for(e=d=0;d<h.length&&!h[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<l.length&&!l[e].includes("DetermineComponentFrameRoot");)e++;if(d===h.length||e===l.length)for(d=h.length-1,e=l.length-1;1<=d&&0<=e&&h[d]!==l[e];)e--;for(;1<=d&&0<=e;d--,e--)if(h[d]!==l[e]){if(1!==d||1!==e){do if(d--,e--,0>e||h[d]!==l[e]){var m="\n"+h[d].replace(" at new "," at ");a.displayName&&m.includes("<anonymous>")&&(m=m.replace("<anonymous>",a.displayName));return m}while(1<=d&&0<=e)}break}}}finally{Ne=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Me(c):""}
function Pe(a){console.error(a);return null}function Qe(){}
function Re(a,b,c,d,e,f,g,k,h,l,m,n){var p=[],q=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:q,pingedTasks:p,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Pe:f,onPostpone:void 0===m?Qe:m,onAllReady:void 0===g?Qe:g,onShellReady:void 0===
k?Qe:k,onShellError:void 0===h?Qe:h,onFatalError:void 0===l?Qe:l,formState:void 0===n?null:n};c=Se(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Ue(b,null,a,-1,null,c,null,q,null,d,dd,null,Td,null,!1);p.push(a);return b}var R=null;function Ve(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,We(a))}
function Xe(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:Sc(),fallbackState:Sc(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Ue(a,b,c,d,e,f,g,k,h,l,m,n,p,q,r){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return Ve(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:k,keyPath:h,formatContext:l,legacyContext:m,context:n,treeContext:p,componentStack:q,thenableState:b,isFallback:r};k.add(v);return v}
function Ye(a,b,c,d,e,f,g,k,h,l,m,n,p,q,r){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return Ve(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:k,keyPath:h,formatContext:l,legacyContext:m,context:n,treeContext:p,componentStack:q,thenableState:b,isFallback:r};k.add(v);return v}
function Se(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function Ze(a,b){return{tag:0,parent:a.componentStack,type:b}}
function $e(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Me(b.type);break;case 1:a+=Oe(b.type,!1);break;case 2:a+=Oe(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function T(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function af(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}function bf(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;fe={};ge=b;he=a;ie=c;ne=me=0;oe=-1;pe=0;qe=g;for(a=d(e,f);le;)le=!1,ne=me=0,oe=-1,pe=0,se+=1,S=null,a=d(e,f);xe();return a}
function cf(a,b,c,d,e,f,g){var k=!1;if(0!==f&&null!==a.formState){var h=b.blockedSegment;if(null!==h){k=!0;h=h.chunks;for(var l=0;l<f;l++)l===g?h.push("\x3c!--F!--\x3e"):h.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Ud(c,1,0),df(a,b,d,-1),b.treeContext=c):k?df(a,b,d,-1):X(a,b,d,-1);b.keyPath=f}
function ef(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){var g=e;if("ref"in e){g={};for(var k in e)"ref"!==k&&(g[k]=e[k])}var h=d.defaultProps;if(h){g===e&&(g=w({},g,e));for(var l in h)void 0===g[l]&&(g[l]=h[l])}e=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};h=dd;f=d.contextType;"object"===typeof f&&null!==f&&(h=f._currentValue2);h=new d(g,h);l=void 0!==h.state?h.state:null;h.updater=Sd;h.props=g;h.state=l;f={queue:[],replace:!1};
h._reactInternals=f;var m=d.contextType;h.context="object"===typeof m&&null!==m?m._currentValue2:dd;m=d.getDerivedStateFromProps;"function"===typeof m&&(m=m(g,l),l=null===m||void 0===m?l:w({},l,m),h.state=l);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(d=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&
h.UNSAFE_componentWillMount(),d!==h.state&&Sd.enqueueReplaceState(h,h.state,null),null!==f.queue&&0<f.queue.length)if(d=f.queue,m=f.replace,f.queue=null,f.replace=!1,m&&1===d.length)h.state=d[0];else{f=m?d[0]:h.state;l=!0;for(m=m?1:0;m<d.length;m++)k=d[m],k="function"===typeof k?k.call(h,f,g,void 0):k,null!=k&&(l?(l=!1,f=w({},f,k)):w(f,k));h.state=f}else f.queue=null;d=h.render();g=b.keyPath;b.keyPath=c;X(a,b,d,-1);b.keyPath=g;b.componentStack=e}else g=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,
type:d},d=bf(a,b,c,d,e,void 0),cf(a,b,c,d,0!==me,ne,oe),b.componentStack=g;else if("string"===typeof d){g=b.componentStack;b.componentStack=Ze(b,d);h=b.blockedSegment;if(null===h)h=e.children,f=b.formatContext,l=b.keyPath,b.formatContext=Nb(f,d,e),b.keyPath=c,df(a,b,h,-1),b.formatContext=f,b.keyPath=l;else{l=uc(h.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,h.lastPushedText,b.isFallback);h.lastPushedText=!1;f=b.formatContext;m=b.keyPath;b.formatContext=Nb(f,d,e);b.keyPath=
c;df(a,b,l,-1);b.formatContext=f;b.keyPath=m;a:{c=h.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=f.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===f.insertionMode){a.hasHtml=!0;break a}}c.push(pc(d))}h.lastPushedText=!1}b.componentStack=g}else{switch(d){case Ua:case Ja:case ma:case na:case la:d=
b.keyPath;b.keyPath=c;X(a,b,e.children,-1);b.keyPath=d;return;case Ka:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,X(a,b,e.children,-1),b.keyPath=d);return;case Aa:d=b.componentStack;b.componentStack=Ze(b,"SuspenseList");g=b.keyPath;b.keyPath=c;X(a,b,e.children,-1);b.keyPath=g;b.componentStack=d;return;case Ia:throw Error("ReactDOMServer does not yet support scope components.");case za:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{df(a,b,c,-1)}finally{b.keyPath=d}}else{var n=b.componentStack;
d=b.componentStack=Ze(b,"Suspense");var p=b.keyPath;f=b.blockedBoundary;var q=b.hoistableState,r=b.blockedSegment;l=e.fallback;var v=e.children;e=new Set;m=Xe(a,e);null!==a.trackedPostpones&&(m.trackedContentKeyPath=c);k=Se(a,r.chunks.length,m,b.formatContext,!1,!1);r.children.push(k);r.lastPushedText=!1;var x=Se(a,0,null,b.formatContext,!1,!1);x.parentFlushed=!0;b.blockedBoundary=m;b.hoistableState=m.contentState;b.blockedSegment=x;b.keyPath=c;try{if(df(a,b,v,-1),a.renderState.generateStaticMarkup||
x.lastPushedText&&x.textEmbedded&&x.chunks.push("\x3c!-- --\x3e"),x.status=1,ff(m,x),0===m.pendingTasks&&0===m.status){m.status=1;b.componentStack=n;break a}}catch(u){x.status=4,m.status=4,g=$e(a,b.componentStack),h=T(a,u,g),m.errorDigest=h,gf(a,m)}finally{b.blockedBoundary=f,b.hoistableState=q,b.blockedSegment=r,b.keyPath=p,b.componentStack=n}g=[c[0],"Suspense Fallback",c[2]];h=a.trackedPostpones;null!==h&&(n=[g[1],g[2],[],null],h.workingMap.set(g,n),5===m.status?h.workingMap.get(c)[4]=n:m.trackedFallbackNode=
n);b=Ue(a,null,l,-1,f,k,m.fallbackState,e,g,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case ya:g=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};if("ref"in e)for(m in h={},e)"ref"!==m&&(h[m]=e[m]);else h=e;d=bf(a,b,c,d.render,h,f);cf(a,b,c,d,0!==me,ne,oe);b.componentStack=g;return;case Ga:ef(a,b,c,d.type,e,f);return;case va:case xa:h=e.children;g=b.keyPath;e=e.value;
f=d._currentValue2;d._currentValue2=e;l=ed;ed=d={parent:l,depth:null===l?0:l.depth+1,context:d,parentValue:f,value:e};b.context=d;b.keyPath=c;X(a,b,h,-1);a=ed;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue2=a.parentValue;a=ed=a.parent;b.context=a;b.keyPath=g;return;case wa:e=e.children;d=e(d._context._currentValue2);e=b.keyPath;b.keyPath=c;X(a,b,d,-1);b.keyPath=e;return;case Ha:g=b.componentStack;b.componentStack=Ze(b,"Lazy");
h=d._init;d=h(d._payload);ef(a,b,c,d,e,void 0);b.componentStack=g;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function hf(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,k=Se(a,0,null,b.formatContext,!1,!1);k.id=c;k.parentFlushed=!0;try{b.replay=null,b.blockedSegment=k,df(a,b,d,e),k.status=1,null===g?a.completedRootSegment=k:(ff(g,k),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function X(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)hf(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case fa:var e=c.type,f=c.key,g=c.props;c=g.ref;var k=void 0!==c?c:null;var h=cd(e),l=null==f?-1===d?0:d:f;f=[b.keyPath,h,l];if(null!==b.replay)a:{var m=b.replay;d=m.nodes;for(c=0;c<d.length;c++){var n=d[c];if(l===n[1]){if(4===n.length){if(null!==h&&h!==n[0])throw Error("Expected the resume to render <"+n[0]+"> in this slot but instead it rendered <"+
h+">. The tree doesn't match so React will fallback to client rendering.");var p=n[2];h=n[3];l=b.node;b.replay={nodes:p,slots:h,pendingTasks:1};try{ef(a,b,f,e,g,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(B){if("object"===typeof B&&null!==B&&(B===Zd||"function"===typeof B.then))throw b.node===l&&(b.replay=m),B;
b.replay.pendingTasks--;g=$e(a,b.componentStack);f=a;a=b.blockedBoundary;e=B;g=T(f,e,g);jf(f,a,p,h,e,g)}b.replay=m}else{if(e!==za)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(cd(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{m=void 0;e=n[5];k=n[2];h=n[3];l=null===n[4]?[]:n[4][2];n=null===n[4]?null:n[4][3];var q=b.componentStack,r=b.componentStack=Ze(b,"Suspense"),v=b.keyPath,x=b.replay,u=b.blockedBoundary,
A=b.hoistableState,E=g.children;g=g.fallback;var D=new Set,t=Xe(a,D);t.parentFlushed=!0;t.rootSegmentID=e;b.blockedBoundary=t;b.hoistableState=t.contentState;b.replay={nodes:k,slots:h,pendingTasks:1};try{df(a,b,E,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===t.pendingTasks&&0===t.status){t.status=1;a.completedBoundaries.push(t);
break b}}catch(B){t.status=4,p=$e(a,b.componentStack),m=T(a,B,p),t.errorDigest=m,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(t)}finally{b.blockedBoundary=u,b.hoistableState=A,b.replay=x,b.keyPath=v,b.componentStack=q}b=Ye(a,null,{nodes:l,slots:n,pendingTasks:0},g,-1,u,t.fallbackState,D,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,r,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else ef(a,b,f,e,g,k);return;case ha:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ha:p=b.componentStack;b.componentStack=Ze(b,"Lazy");g=c._init;c=g(c._payload);b.componentStack=p;X(a,b,c,d);return}if(bb(c)){kf(a,b,c,d);return}null===c||"object"!==typeof c?p=null:(p=ab&&c[ab]||c["@@iterator"],p="function"===typeof p?p:null);if(p&&(p=p.call(c))){c=p.next();if(!c.done){g=[];do g.push(c.value),c=p.next();while(!c.done);kf(a,b,g,d)}return}if("function"===typeof c.then)return b.thenableState=null,X(a,b,Fe(c),d);if(c.$$typeof===xa)return X(a,b,c._currentValue2,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}if("string"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=ad(d.chunks,c,a.renderState,d.lastPushedText));else if("number"===typeof c||"bigint"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=ad(d.chunks,""+c,a.renderState,d.lastPushedText))}}
function kf(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,k=0;k<g.length;k++){var h=g[k];if(h[1]===d){d=h[2];h=h[3];b.replay={nodes:d,slots:h,pendingTasks:1};try{kf(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(n){if("object"===typeof n&&
null!==n&&(n===Zd||"function"===typeof n.then))throw n;b.replay.pendingTasks--;c=$e(a,b.componentStack);var l=b.blockedBoundary,m=n;c=T(a,m,c);jf(a,l,d,h,m,c)}b.replay=f;g.splice(k,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(k=b.replay.slots,null!==k&&"object"===typeof k)){for(d=0;d<g;d++)h=c[d],b.treeContext=Ud(f,g,d),l=k[d],"number"===typeof l?(hf(a,b,l,h,d),delete k[d]):df(a,b,h,d);b.treeContext=f;b.keyPath=e;return}for(k=0;k<g;k++)d=c[k],b.treeContext=Ud(f,g,k),
df(a,b,d,k);b.treeContext=f;b.keyPath=e}function gf(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function df(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,k=b.keyPath,h=b.treeContext,l=b.componentStack,m=b.blockedSegment;if(null===m)try{return X(a,b,c,d)}catch(q){if(xe(),c=q===Zd?ce():q,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=we();a=Ye(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=l;Rd(g);return}}else{var n=m.children.length,p=m.chunks.length;try{return X(a,b,c,d)}catch(q){if(xe(),m.children.length=n,m.chunks.length=p,c=q===Zd?ce():q,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=we();m=b.blockedSegment;n=Se(a,m.chunks.length,null,b.formatContext,m.lastPushedText,!0);m.children.push(n);m.lastPushedText=!1;a=Ue(a,d,b.node,b.childIndex,b.blockedBoundary,n,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=l;Rd(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;Rd(g);throw c;}function lf(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,mf(this,b,a))}
function jf(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var k=c[g];if(4===k.length)jf(a,b,k[2],k[3],e,f);else{k=k[5];var h=a,l=f,m=Xe(h,new Set);m.parentFlushed=!0;m.rootSegmentID=k;m.status=4;m.errorDigest=l;m.parentFlushed&&h.clientRenderedBoundaries.push(m)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var n in d)delete d[n]}}
function nf(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){T(b,c,d);af(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=T(b,c,d),jf(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&of(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=$e(b,a.componentStack),a=T(b,c,a),d.errorDigest=a,gf(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return nf(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&pf(b)}
function qf(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),k=g.next();b:for(;0<e.remainingCapacity&&!k.done;k=g.next())for(var h=k.value.sheets.values(),l=h.next();0<e.remainingCapacity&&!l.done;l=h.next()){var m=l.value,n=m.props,p=n.href,q=m.props,r=wc(q.href,"style",{crossOrigin:q.crossOrigin,integrity:q.integrity,
nonce:q.nonce,type:q.type,fetchPriority:q.fetchPriority,referrerPolicy:q.referrerPolicy,media:q.media});if(2<=(e.remainingCapacity-=r.length))c.resets.style[p]=C,f&&(f+=", "),f+=r,c.resets.style[p]="string"===typeof n.crossOrigin||"string"===typeof n.integrity?[n.crossOrigin,n.integrity]:C;else break b}}f?d({Link:f}):d({})}}}catch(v){T(a,v,{})}}function of(a){null===a.trackedPostpones&&qf(a,!0);a.onShellError=Qe;a=a.onShellReady;a()}
function pf(a){qf(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function ff(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&ff(a,c)}else a.completedSegments.push(b)}
function mf(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&of(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&ff(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(lf,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(ff(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&pf(a)}
function We(a){if(2!==a.status){var b=ed,c=zb.H;zb.H=Je;var d=zb.C;zb.C=Ke;var e=R;R=a;var f=Ie;Ie=a.resumableState;try{var g=a.pingedTasks,k;for(k=0;k<g.length;k++){var h=g[k],l=a,m=h.blockedSegment;if(null===m){var n=l;if(0!==h.replay.pendingTasks){Rd(h.context);try{X(n,h,h.node,h.childIndex);if(1===h.replay.pendingTasks&&0<h.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");h.replay.pendingTasks--;
h.abortSet.delete(h);mf(n,h.blockedBoundary,null)}catch(H){xe();var p=H===Zd?ce():H;if("object"===typeof p&&null!==p&&"function"===typeof p.then){var q=h.ping;p.then(q,q);h.thenableState=we()}else{h.replay.pendingTasks--;h.abortSet.delete(h);var r=$e(n,h.componentStack);l=void 0;var v=n,x=h.blockedBoundary,u=p,A=h.replay.nodes,E=h.replay.slots;l=T(v,u,r);jf(v,x,A,E,u,l);n.pendingRootTasks--;0===n.pendingRootTasks&&of(n);n.allPendingTasks--;0===n.allPendingTasks&&pf(n)}}finally{}}}else if(n=void 0,
v=m,0===v.status){Rd(h.context);var D=v.children.length,t=v.chunks.length;try{X(l,h,h.node,h.childIndex),l.renderState.generateStaticMarkup||v.lastPushedText&&v.textEmbedded&&v.chunks.push("\x3c!-- --\x3e"),h.abortSet.delete(h),v.status=1,mf(l,h.blockedBoundary,v)}catch(H){xe();v.children.length=D;v.chunks.length=t;var B=H===Zd?ce():H;if("object"===typeof B&&null!==B&&"function"===typeof B.then){var Y=h.ping;B.then(Y,Y);h.thenableState=we()}else{var Z=$e(l,h.componentStack);h.abortSet.delete(h);v.status=
4;var F=h.blockedBoundary;n=T(l,B,Z);null===F?af(l,B):(F.pendingTasks--,4!==F.status&&(F.status=4,F.errorDigest=n,gf(l,F),F.parentFlushed&&l.clientRenderedBoundaries.push(F)));l.allPendingTasks--;0===l.allPendingTasks&&pf(l)}}finally{}}}g.splice(0,k);null!==a.destination&&rf(a,a.destination)}catch(H){T(a,H,{}),af(a,H)}finally{Ie=f,zb.H=c,zb.C=d,c===Je&&Rd(b),R=e}}}
function sf(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,b.push('<template id="'),b.push(a.placeholderPrefix),a=d.toString(16),b.push(a),b.push('"></template>');case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var k=0;k<c.length;k++){for(e=c[k];g<e.index;g++)b.push(f[g]);e=tf(a,b,e,d)}for(;g<f.length-1;g++)b.push(f[g]);g<f.length&&(e=b.push(f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function tf(a,b,c,d){var e=c.boundary;if(null===e)return sf(a,b,c,d);e.parentFlushed=!0;if(4===e.status)return a.renderState.generateStaticMarkup||(e=e.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),e&&(b.push(' data-dgst="'),e=z(e),b.push(e),b.push('"')),b.push("></template>")),sf(a,b,c,d),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==e.status)return 0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),zc(b,
a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(Yc,d),e.stylesheets.forEach(Zc,d)),sf(a,b,c,d),b.push("\x3c!--/$--\x3e");if(e.byteSize>a.progressiveChunkSize)return e.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(e),zc(b,a.renderState,e.rootSegmentID),sf(a,b,c,d),b.push("\x3c!--/$--\x3e");d&&(c=e.contentState,c.styles.forEach(Yc,d),c.stylesheets.forEach(Zc,d));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
tf(a,b,c[0],d);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function uf(a,b,c,d){Ac(b,a.renderState,c.parentFormatContext,c.id);tf(a,b,c,d);return Bc(b,c.parentFormatContext)}
function vf(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)wf(a,b,c,d[e]);d.length=0;Kc(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;b.push(a.startInlineScript);f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);b.push('","');b.push(a.segmentPrefix);b.push(d);f?(b.push('",'),Qc(b,c)):b.push('"');c=b.push(")\x3c/script>");return yc(b,a)&&c}
function wf(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return uf(a,b,d,e)}if(f===c.rootSegmentID)return uf(a,b,d,e);uf(a,b,d,e);c=a.resumableState;a=a.renderState;b.push(a.startInlineScript);0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("');b.push(a.segmentPrefix);f=f.toString(16);b.push(f);b.push('","');b.push(a.placeholderPrefix);b.push(f);b=b.push('")\x3c/script>');return b}
function rf(a,b){try{if(!(0<a.pendingRootTasks)){var c,d=a.completedRootSegment;if(null!==d){if(5===d.status)return;var e=a.renderState,f=e.htmlChunks,g=e.headChunks,k;if(f){for(k=0;k<f.length;k++)b.push(f[k]);if(g)for(k=0;k<g.length;k++)b.push(g[k]);else{var h=P("head");b.push(h);b.push(">")}}else if(g)for(k=0;k<g.length;k++)b.push(g[k]);var l=e.charsetChunks;for(k=0;k<l.length;k++)b.push(l[k]);l.length=0;e.preconnects.forEach(Q,b);e.preconnects.clear();var m=e.viewportChunks;for(k=0;k<m.length;k++)b.push(m[k]);
m.length=0;e.fontPreloads.forEach(Q,b);e.fontPreloads.clear();e.highImagePreloads.forEach(Q,b);e.highImagePreloads.clear();e.styles.forEach(Nc,b);var n=e.importMapChunks;for(k=0;k<n.length;k++)b.push(n[k]);n.length=0;e.bootstrapScripts.forEach(Q,b);e.scripts.forEach(Q,b);e.scripts.clear();e.bulkPreloads.forEach(Q,b);e.bulkPreloads.clear();var p=e.hoistableChunks;for(k=0;k<p.length;k++)b.push(p[k]);p.length=0;if(f&&null===g){var q=pc("head");b.push(q)}tf(a,b,d,null);a.completedRootSegment=null;yc(b,
a.renderState)}var r=a.renderState;d=0;var v=r.viewportChunks;for(d=0;d<v.length;d++)b.push(v[d]);v.length=0;r.preconnects.forEach(Q,b);r.preconnects.clear();r.fontPreloads.forEach(Q,b);r.fontPreloads.clear();r.highImagePreloads.forEach(Q,b);r.highImagePreloads.clear();r.styles.forEach(Pc,b);r.scripts.forEach(Q,b);r.scripts.clear();r.bulkPreloads.forEach(Q,b);r.bulkPreloads.clear();var x=r.hoistableChunks;for(d=0;d<x.length;d++)b.push(x[d]);x.length=0;var u=a.clientRenderedBoundaries;for(c=0;c<u.length;c++){var A=
u[c];r=b;var E=a.resumableState,D=a.renderState,t=A.rootSegmentID,B=A.errorDigest;r.push(D.startInlineScript);0===(E.instructions&4)?(E.instructions|=4,r.push('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("')):r.push('$RX("');r.push(D.boundaryPrefix);var Y=t.toString(16);r.push(Y);r.push('"');if(B){r.push(",");var Z=Dc(B||"");r.push(Z)}var F=r.push(")\x3c/script>");
if(!F){a.destination=null;c++;u.splice(0,c);return}}u.splice(0,c);var H=a.completedBoundaries;for(c=0;c<H.length;c++)if(!vf(a,b,H[c])){a.destination=null;c++;H.splice(0,c);return}H.splice(0,c);var I=a.partialBoundaries;for(c=0;c<I.length;c++){var oa=I[c];a:{u=a;A=b;var U=oa.completedSegments;for(F=0;F<U.length;F++)if(!wf(u,A,oa,U[F])){F++;U.splice(0,F);var ia=!1;break a}U.splice(0,F);ia=Kc(A,oa.contentState,u.renderState)}if(!ia){a.destination=null;c++;I.splice(0,c);return}}I.splice(0,c);var aa=a.completedBoundaries;
for(c=0;c<aa.length;c++)if(!vf(a,b,aa[c])){a.destination=null;c++;aa.splice(0,c);return}aa.splice(0,c)}}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length&&(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&(I=pc("body"),b.push(I)),c.hasHtml&&(c=pc("html"),b.push(c)),b.push(null),a.destination=null)}}
function Vc(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?rf(a,b):a.flushScheduled=!1}}function xf(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{rf(a,b)}catch(c){T(a,c,{}),af(a,c)}}}
function yf(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return nf(e,a,d)});c.clear()}null!==a.destination&&rf(a,a.destination)}catch(e){T(a,e,{}),af(a,e)}}function zf(){}
function Af(a,b,c,d){var e=!1,f=null,g="",k=!1;b=Mb(b?b.identifierPrefix:void 0);a=Re(a,b,$c(b,c),G(0,null,0),Infinity,zf,void 0,function(){k=!0},void 0,void 0,void 0);a.flushScheduled=null!==a.destination;We(a);null===a.trackedPostpones&&qf(a,0===a.pendingRootTasks);yf(a,d);xf(a,{push:function(h){null!==h&&(g+=h);return!0},destroy:function(h){e=!0;f=h}});if(e&&f!==d)throw f;if(!k)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");
return g}exports.renderToStaticMarkup=function(a,b){return Af(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};exports.renderToString=function(a,b){return Af(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="19.0.0-canary-33a32441e9-20240418";

//# sourceMappingURL=react-dom-server-legacy.node.production.min.js.map
