/*
 React
 react-dom-server.edge.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ba=require("react"),ca=require("react-dom"),ha=Symbol.for("react.element"),ka=Symbol.for("react.portal"),la=Symbol.for("react.fragment"),na=Symbol.for("react.strict_mode"),oa=Symbol.for("react.profiler"),pa=Symbol.for("react.provider"),sa=Symbol.for("react.consumer"),ta=Symbol.for("react.context"),ua=Symbol.for("react.forward_ref"),Ba=Symbol.for("react.suspense"),Ca=Symbol.for("react.suspense_list"),Da=Symbol.for("react.memo"),Ea=Symbol.for("react.lazy"),Fa=Symbol.for("react.scope"),
Ga=Symbol.for("react.debug_trace_mode"),Ha=Symbol.for("react.offscreen"),Oa=Symbol.for("react.legacy_hidden"),Pa=Symbol.iterator,Qa=Array.isArray;
function Ra(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}var p=null,q=0;
function t(a,b){if(0!==b.byteLength)if(2048<b.byteLength)0<q&&(a.enqueue(new Uint8Array(p.buffer,0,q)),p=new Uint8Array(2048),q=0),a.enqueue(b);else{var c=p.length-q;c<b.byteLength&&(0===c?a.enqueue(p):(p.set(b.subarray(0,c),q),a.enqueue(p),b=b.subarray(c)),p=new Uint8Array(2048),q=0);p.set(b,q);q+=b.byteLength}}function w(a,b){t(a,b);return!0}function Sa(a){p&&0<q&&(a.enqueue(new Uint8Array(p.buffer,0,q)),p=null,q=0)}var Ta=new TextEncoder;function y(a){return Ta.encode(a)}
function z(a){return Ta.encode(a)}function eb(a,b){"function"===typeof a.error?a.error(b):a.close()}
var B=Object.assign,E=Object.prototype.hasOwnProperty,lb=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),mb={},nb={};
function ob(a){if(E.call(nb,a))return!0;if(E.call(mb,a))return!1;if(lb.test(a))return nb[a]=!0;mb[a]=!0;return!1}
var pb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),qb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),rb=/["'&<>]/;
function F(a){if("boolean"===typeof a||"number"===typeof a||"bigint"===typeof a)return""+a;a=""+a;var b=rb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var sb=/([A-Z])/g,tb=/^ms-/,ub=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function vb(a){return ub.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var wb=ba.__CLIENT_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,xb=ca.__DOM_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,yb={pending:!1,data:null,method:null,action:null},zb=xb.d;xb.d={f:zb.f,r:zb.r,D:Lb,C:Mb,L:Nb,m:Ob,X:Pb,S:Qb,M:Rb};var H=[];z('"></template>');
var Sb=z("<script>"),Tb=z("\x3c/script>"),Ub=z('<script src="'),Vb=z('<script type="module" src="'),Wb=z('" nonce="'),Xb=z('" integrity="'),Yb=z('" crossorigin="'),Zb=z('" async="">\x3c/script>'),$b=/(<\/|<)(s)(cript)/gi;function ac(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}var bc=z('<script type="importmap">'),cc=z("\x3c/script>");
function dc(a,b,c,d,e,f){var h=void 0===b?Sb:z('<script nonce="'+F(b)+'">'),k=a.idPrefix;c=[];var g=a.bootstrapScriptContent,l=a.bootstrapScripts,m=a.bootstrapModules;void 0!==g&&c.push(h,y((""+g).replace($b,ac)),Tb);g=[];void 0!==d&&(g.push(bc),g.push(y((""+JSON.stringify(d)).replace($b,ac))),g.push(cc));d=e?{preconnects:"",fontPreloads:"",highImagePreloads:"",remainingCapacity:"number"===typeof f?f:2E3}:null;e={placeholderPrefix:z(k+"P:"),segmentPrefix:z(k+"S:"),boundaryPrefix:z(k+"B:"),startInlineScript:h,
htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:c,importMapChunks:g,onHeaders:e,headers:d,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:new Set,fontPreloads:new Set,highImagePreloads:new Set,styles:new Map,bootstrapScripts:new Set,scripts:new Set,bulkPreloads:new Set,preloads:{images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map},nonce:b,hoistableState:null,
stylesToHoist:!1};if(void 0!==l)for(d=0;d<l.length;d++){var n=l[d];k=h=void 0;g={rel:"preload",as:"script",fetchPriority:"low",nonce:b};"string"===typeof n?g.href=f=n:(g.href=f=n.src,g.integrity=k="string"===typeof n.integrity?n.integrity:void 0,g.crossOrigin=h="string"===typeof n||null==n.crossOrigin?void 0:"use-credentials"===n.crossOrigin?"use-credentials":"");n=a;var r=f;n.scriptResources[r]=null;n.moduleScriptResources[r]=null;n=[];I(n,g);e.bootstrapScripts.add(n);c.push(Ub,y(F(f)));b&&c.push(Wb,
y(F(b)));"string"===typeof k&&c.push(Xb,y(F(k)));"string"===typeof h&&c.push(Yb,y(F(h)));c.push(Zb)}if(void 0!==m)for(l=0;l<m.length;l++)g=m[l],h=f=void 0,k={rel:"modulepreload",fetchPriority:"low",nonce:b},"string"===typeof g?k.href=d=g:(k.href=d=g.src,k.integrity=h="string"===typeof g.integrity?g.integrity:void 0,k.crossOrigin=f="string"===typeof g||null==g.crossOrigin?void 0:"use-credentials"===g.crossOrigin?"use-credentials":""),g=a,n=d,g.scriptResources[n]=null,g.moduleScriptResources[n]=null,
g=[],I(g,k),e.bootstrapScripts.add(g),c.push(Vb,y(F(d))),b&&c.push(Wb,y(F(b))),"string"===typeof h&&c.push(Xb,y(F(h))),"string"===typeof f&&c.push(Yb,y(F(f))),c.push(Zb);return e}
function ec(a,b,c,d,e){return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:0,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function M(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function fc(a){return M("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function gc(a,b,c){switch(b){case "noscript":return M(2,null,a.tagScope|1);case "select":return M(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return M(3,null,a.tagScope);case "picture":return M(2,null,a.tagScope|2);case "math":return M(4,null,a.tagScope);case "foreignObject":return M(2,null,a.tagScope);case "table":return M(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return M(6,null,a.tagScope);case "colgroup":return M(8,null,a.tagScope);case "tr":return M(7,null,a.tagScope)}return 5<=
a.insertionMode?M(2,null,a.tagScope):0===a.insertionMode?"html"===b?M(1,null,a.tagScope):M(2,null,a.tagScope):1===a.insertionMode?M(2,null,a.tagScope):a}var hc=z("\x3c!-- --\x3e");function ic(a,b,c,d){if(""===b)return d;d&&a.push(hc);a.push(y(F(b)));return!0}var jc=new Map,kc=z(' style="'),lc=z(":"),mc=z(";");
function nc(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(E.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=y(F(d));e=y(F((""+e).trim()))}else f=jc.get(d),void 0===f&&(f=z(F(d.replace(sb,"-$1").toLowerCase().replace(tb,"-ms-"))),jc.set(d,f)),e="number"===typeof e?0===e||pb.has(d)?y(""+
e):y(e+"px"):y(F((""+e).trim()));c?(c=!1,a.push(kc,f,lc,e)):a.push(mc,f,lc,e)}}c||a.push(P)}var Q=z(" "),oc=z('="'),P=z('"'),pc=z('=""');function qc(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),pc)}function R(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(Q,y(b),oc,y(F(c)),P)}var Hc=z(F("javascript:throw new Error('React form unexpectedly submitted.')")),Ic=z('<input type="hidden"');
function Jc(a,b){this.push(Ic);if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");R(this,"name",b);R(this,"value",a);this.push(Kc)}function Lc(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function Mc(a,b,c,d,e,f,h,k){var g=null;if("function"===typeof d){var l=Lc(b,d);null!==l?(k=l.name,d=l.action||"",e=l.encType,f=l.method,h=l.target,g=l.data):(a.push(Q,y("formAction"),oc,Hc,P),h=f=e=d=k=null,Nc(b,c))}null!=k&&S(a,"name",k);null!=d&&S(a,"formAction",d);null!=e&&S(a,"formEncType",e);null!=f&&S(a,"formMethod",f);null!=h&&S(a,"formTarget",h);return g}
function S(a,b,c){switch(b){case "className":R(a,"class",c);break;case "tabIndex":R(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":R(a,b,c);break;case "style":nc(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=vb(""+c);a.push(Q,y(b),oc,y(F(c)),P);break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":qc(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=vb(""+c);a.push(Q,y("xlink:href"),oc,y(F(c)),P);break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),oc,y(F(c)),P);break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),pc);break;case "capture":case "download":!0===c?a.push(Q,y(b),pc):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,y(b),oc,y(F(c)),P);break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(Q,y(b),oc,y(F(c)),P);break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(Q,y(b),oc,y(F(c)),P);break;case "xlinkActuate":R(a,"xlink:actuate",
c);break;case "xlinkArcrole":R(a,"xlink:arcrole",c);break;case "xlinkRole":R(a,"xlink:role",c);break;case "xlinkShow":R(a,"xlink:show",c);break;case "xlinkTitle":R(a,"xlink:title",c);break;case "xlinkType":R(a,"xlink:type",c);break;case "xmlBase":R(a,"xml:base",c);break;case "xmlLang":R(a,"xml:lang",c);break;case "xmlSpace":R(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=qb.get(b)||b,ob(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(Q,y(b),oc,y(F(c)),P)}}}var T=z(">"),Kc=z("/>");
function Oc(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(y(""+b))}}function Pc(a){var b="";ba.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}var Qc=z(' selected=""'),Rc=z('addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});');
function Nc(a,b){0===(a.instructions&16)&&(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,Rc,Tb))}var Sc=z("\x3c!--F!--\x3e"),Tc=z("\x3c!--F--\x3e");function I(a,b){a.push(U("link"));for(var c in b)if(E.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,c,d)}}a.push(Kc);return null}var Uc=/(<\/|<)(s)(tyle)/gi;
function Vc(a,b,c,d){return""+b+("s"===c?"\\73 ":"\\53 ")+d}function Wc(a,b,c){a.push(U(c));for(var d in b)if(E.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,d,e)}}a.push(Kc);return null}
function Xc(a,b){a.push(U("title"));var c=null,d=null,e;for(e in b)if(E.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(y(F(""+b)));Oc(a,d,c);a.push(Yc("title"));return null}
function Zc(a,b){a.push(U("script"));var c=null,d=null,e;for(e in b)if(E.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);Oc(a,d,c);"string"===typeof c&&a.push(y((""+c).replace($b,ac)));a.push(Yc("script"));return null}
function $c(a,b,c){a.push(U(c));var d=c=null,e;for(e in b)if(E.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);Oc(a,d,c);return"string"===typeof c?(a.push(y(F(c))),null):c}var ad=z("\n"),bd=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,cd=new Map;function U(a){var b=cd.get(a);if(void 0===b){if(!bd.test(a))throw Error("Invalid tag: "+a);b=z("<"+a);cd.set(a,b)}return b}var dd=z("<!DOCTYPE html>");
function ed(a,b,c,d,e,f,h,k,g){switch(b){case "div":case "span":case "svg":case "path":break;case "a":a.push(U("a"));var l=null,m=null,n;for(n in c)if(E.call(c,n)){var r=c[n];if(null!=r)switch(n){case "children":l=r;break;case "dangerouslySetInnerHTML":m=r;break;case "href":""===r?R(a,"href",""):S(a,n,r);break;default:S(a,n,r)}}a.push(T);Oc(a,m,l);if("string"===typeof l){a.push(y(F(l)));var u=null}else u=l;return u;case "g":case "p":case "li":break;case "select":a.push(U("select"));var x=null,v=null,
C;for(C in c)if(E.call(c,C)){var J=c[C];if(null!=J)switch(C){case "children":x=J;break;case "dangerouslySetInnerHTML":v=J;break;case "defaultValue":case "value":break;default:S(a,C,J)}}a.push(T);Oc(a,v,x);return x;case "option":var Z=h.selectedValue;a.push(U("option"));var ia=null,da=null,A=null,D=null,V;for(V in c)if(E.call(c,V)){var aa=c[V];if(null!=aa)switch(V){case "children":ia=aa;break;case "selected":A=aa;break;case "dangerouslySetInnerHTML":D=aa;break;case "value":da=aa;default:S(a,V,aa)}}if(null!=
Z){var K=null!==da?""+da:Pc(ia);if(Qa(Z))for(var N=0;N<Z.length;N++){if(""+Z[N]===K){a.push(Qc);break}}else""+Z===K&&a.push(Qc)}else A&&a.push(Qc);a.push(T);Oc(a,D,ia);return ia;case "textarea":a.push(U("textarea"));var O=null,rc=null,Ia=null,Ua;for(Ua in c)if(E.call(c,Ua)){var Va=c[Ua];if(null!=Va)switch(Ua){case "children":Ia=Va;break;case "value":O=Va;break;case "defaultValue":rc=Va;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");
default:S(a,Ua,Va)}}null===O&&null!==rc&&(O=rc);a.push(T);if(null!=Ia){if(null!=O)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(Qa(Ia)){if(1<Ia.length)throw Error("<textarea> can only have at most one child.");O=""+Ia[0]}O=""+Ia}"string"===typeof O&&"\n"===O[0]&&a.push(ad);null!==O&&a.push(y(F(""+O)));return null;case "input":a.push(U("input"));var Pd=null,Qd=null,Rd=null,Sd=null,Td=null,sc=null,tc=null,uc=null,vc=null,Wa;for(Wa in c)if(E.call(c,Wa)){var ea=
c[Wa];if(null!=ea)switch(Wa){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":Pd=ea;break;case "formAction":Qd=ea;break;case "formEncType":Rd=ea;break;case "formMethod":Sd=ea;break;case "formTarget":Td=ea;break;case "defaultChecked":vc=ea;break;case "defaultValue":tc=ea;break;case "checked":uc=ea;break;case "value":sc=ea;break;default:S(a,Wa,ea)}}var Ud=Mc(a,d,e,Qd,Rd,Sd,Td,Pd);
null!==uc?qc(a,"checked",uc):null!==vc&&qc(a,"checked",vc);null!==sc?S(a,"value",sc):null!==tc&&S(a,"value",tc);a.push(Kc);null!=Ud&&Ud.forEach(Jc,a);return null;case "button":a.push(U("button"));var Xa=null,Vd=null,Wd=null,Xd=null,Yd=null,Zd=null,$d=null,Ya;for(Ya in c)if(E.call(c,Ya)){var ma=c[Ya];if(null!=ma)switch(Ya){case "children":Xa=ma;break;case "dangerouslySetInnerHTML":Vd=ma;break;case "name":Wd=ma;break;case "formAction":Xd=ma;break;case "formEncType":Yd=ma;break;case "formMethod":Zd=
ma;break;case "formTarget":$d=ma;break;default:S(a,Ya,ma)}}var ae=Mc(a,d,e,Xd,Yd,Zd,$d,Wd);a.push(T);null!=ae&&ae.forEach(Jc,a);Oc(a,Vd,Xa);if("string"===typeof Xa){a.push(y(F(Xa)));var be=null}else be=Xa;return be;case "form":a.push(U("form"));var Za=null,ce=null,va=null,$a=null,ab=null,bb=null,cb;for(cb in c)if(E.call(c,cb)){var qa=c[cb];if(null!=qa)switch(cb){case "children":Za=qa;break;case "dangerouslySetInnerHTML":ce=qa;break;case "action":va=qa;break;case "encType":$a=qa;break;case "method":ab=
qa;break;case "target":bb=qa;break;default:S(a,cb,qa)}}var wc=null,xc=null;if("function"===typeof va){var wa=Lc(d,va);null!==wa?(va=wa.action||"",$a=wa.encType,ab=wa.method,bb=wa.target,wc=wa.data,xc=wa.name):(a.push(Q,y("action"),oc,Hc,P),bb=ab=$a=va=null,Nc(d,e))}null!=va&&S(a,"action",va);null!=$a&&S(a,"encType",$a);null!=ab&&S(a,"method",ab);null!=bb&&S(a,"target",bb);a.push(T);null!==xc&&(a.push(Ic),R(a,"name",xc),a.push(Kc),null!=wc&&wc.forEach(Jc,a));Oc(a,ce,Za);if("string"===typeof Za){a.push(y(F(Za)));
var de=null}else de=Za;return de;case "menuitem":a.push(U("menuitem"));for(var Ab in c)if(E.call(c,Ab)){var ee=c[Ab];if(null!=ee)switch(Ab){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:S(a,Ab,ee)}}a.push(T);return null;case "title":if(3===h.insertionMode||h.tagScope&1||null!=c.itemProp)var yc=Xc(a,c);else g?yc=null:(Xc(e.hoistableChunks,c),yc=void 0);return yc;case "link":var Of=c.rel,ra=c.href,Bb=c.precedence;
if(3===h.insertionMode||h.tagScope&1||null!=c.itemProp||"string"!==typeof Of||"string"!==typeof ra||""===ra){I(a,c);var db=null}else if("stylesheet"===c.rel)if("string"!==typeof Bb||null!=c.disabled||c.onLoad||c.onError)db=I(a,c);else{var Ja=e.styles.get(Bb),Cb=d.styleResources.hasOwnProperty(ra)?d.styleResources[ra]:void 0;if(null!==Cb){d.styleResources[ra]=null;Ja||(Ja={precedence:y(F(Bb)),rules:[],hrefs:[],sheets:new Map},e.styles.set(Bb,Ja));var Db={state:0,props:B({},c,{"data-precedence":c.precedence,
precedence:null})};if(Cb){2===Cb.length&&fd(Db.props,Cb);var zc=e.preloads.stylesheets.get(ra);zc&&0<zc.length?zc.length=0:Db.state=1}Ja.sheets.set(ra,Db);f&&f.stylesheets.add(Db)}else if(Ja){var fe=Ja.sheets.get(ra);fe&&f&&f.stylesheets.add(fe)}k&&a.push(hc);db=null}else c.onLoad||c.onError?db=I(a,c):(k&&a.push(hc),db=g?null:I(e.hoistableChunks,c));return db;case "script":var Ac=c.async;if("string"!==typeof c.src||!c.src||!Ac||"function"===typeof Ac||"symbol"===typeof Ac||c.onLoad||c.onError||3===
h.insertionMode||h.tagScope&1||null!=c.itemProp)var ge=Zc(a,c);else{var Eb=c.src;if("module"===c.type){var Fb=d.moduleScriptResources;var he=e.preloads.moduleScripts}else Fb=d.scriptResources,he=e.preloads.scripts;var Gb=Fb.hasOwnProperty(Eb)?Fb[Eb]:void 0;if(null!==Gb){Fb[Eb]=null;var Bc=c;if(Gb){2===Gb.length&&(Bc=B({},c),fd(Bc,Gb));var ie=he.get(Eb);ie&&(ie.length=0)}var je=[];e.scripts.add(je);Zc(je,Bc)}k&&a.push(hc);ge=null}return ge;case "style":var Hb=c.precedence,xa=c.href;if(3===h.insertionMode||
h.tagScope&1||null!=c.itemProp||"string"!==typeof Hb||"string"!==typeof xa||""===xa){a.push(U("style"));var Ka=null,ke=null,fb;for(fb in c)if(E.call(c,fb)){var Ib=c[fb];if(null!=Ib)switch(fb){case "children":Ka=Ib;break;case "dangerouslySetInnerHTML":ke=Ib;break;default:S(a,fb,Ib)}}a.push(T);var gb=Array.isArray(Ka)?2>Ka.length?Ka[0]:null:Ka;"function"!==typeof gb&&"symbol"!==typeof gb&&null!==gb&&void 0!==gb&&a.push(y((""+gb).replace(Uc,Vc)));Oc(a,ke,Ka);a.push(Yc("style"));var le=null}else{var ya=
e.styles.get(Hb);if(null!==(d.styleResources.hasOwnProperty(xa)?d.styleResources[xa]:void 0)){d.styleResources[xa]=null;ya?ya.hrefs.push(y(F(xa))):(ya={precedence:y(F(Hb)),rules:[],hrefs:[y(F(xa))],sheets:new Map},e.styles.set(Hb,ya));var me=ya.rules,La=null,ne=null,Jb;for(Jb in c)if(E.call(c,Jb)){var Cc=c[Jb];if(null!=Cc)switch(Jb){case "children":La=Cc;break;case "dangerouslySetInnerHTML":ne=Cc}}var hb=Array.isArray(La)?2>La.length?La[0]:null:La;"function"!==typeof hb&&"symbol"!==typeof hb&&null!==
hb&&void 0!==hb&&me.push(y((""+hb).replace(Uc,Vc)));Oc(me,ne,La)}ya&&f&&f.styles.add(ya);k&&a.push(hc);le=void 0}return le;case "meta":if(3===h.insertionMode||h.tagScope&1||null!=c.itemProp)var oe=Wc(a,c,"meta");else k&&a.push(hc),oe=g?null:"string"===typeof c.charSet?Wc(e.charsetChunks,c,"meta"):"viewport"===c.name?Wc(e.viewportChunks,c,"meta"):Wc(e.hoistableChunks,c,"meta");return oe;case "listing":case "pre":a.push(U(b));var ib=null,jb=null,kb;for(kb in c)if(E.call(c,kb)){var Kb=c[kb];if(null!=
Kb)switch(kb){case "children":ib=Kb;break;case "dangerouslySetInnerHTML":jb=Kb;break;default:S(a,kb,Kb)}}a.push(T);if(null!=jb){if(null!=ib)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof jb||!("__html"in jb))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");var za=jb.__html;null!==za&&void 0!==za&&("string"===typeof za&&0<za.length&&
"\n"===za[0]?a.push(ad,y(za)):a.push(y(""+za)))}"string"===typeof ib&&"\n"===ib[0]&&a.push(ad);return ib;case "img":var L=c.src,G=c.srcSet;if(!("lazy"===c.loading||!L&&!G||"string"!==typeof L&&null!=L||"string"!==typeof G&&null!=G)&&"low"!==c.fetchPriority&&!1===!!(h.tagScope&3)&&("string"!==typeof L||":"!==L[4]||"d"!==L[0]&&"D"!==L[0]||"a"!==L[1]&&"A"!==L[1]||"t"!==L[2]&&"T"!==L[2]||"a"!==L[3]&&"A"!==L[3])&&("string"!==typeof G||":"!==G[4]||"d"!==G[0]&&"D"!==G[0]||"a"!==G[1]&&"A"!==G[1]||"t"!==G[2]&&
"T"!==G[2]||"a"!==G[3]&&"A"!==G[3])){var pe="string"===typeof c.sizes?c.sizes:void 0,Ma=G?G+"\n"+(pe||""):L,Dc=e.preloads.images,Aa=Dc.get(Ma);if(Aa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)Dc.delete(Ma),e.highImagePreloads.add(Aa)}else if(!d.imageResources.hasOwnProperty(Ma)){d.imageResources[Ma]=H;var Ec=c.crossOrigin;var qe="string"===typeof Ec?"use-credentials"===Ec?Ec:"":void 0;var ja=e.headers,Fc;ja&&0<ja.remainingCapacity&&("high"===c.fetchPriority||500>ja.highImagePreloads.length)&&
(Fc=gd(L,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:qe,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(ja.remainingCapacity-=Fc.length))?(e.resets.image[Ma]=H,ja.highImagePreloads&&(ja.highImagePreloads+=", "),ja.highImagePreloads+=Fc):(Aa=[],I(Aa,{rel:"preload",as:"image",href:G?void 0:L,imageSrcSet:G,imageSizes:pe,crossOrigin:qe,integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),
"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(Aa):(e.bulkPreloads.add(Aa),Dc.set(Ma,Aa)))}}return Wc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Wc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;case "head":if(2>h.insertionMode&&
null===e.headChunks){e.headChunks=[];var re=$c(e.headChunks,c,"head")}else re=$c(a,c,"head");return re;case "html":if(0===h.insertionMode&&null===e.htmlChunks){e.htmlChunks=[dd];var se=$c(e.htmlChunks,c,"html")}else se=$c(a,c,"html");return se;default:if(-1!==b.indexOf("-")){a.push(U(b));var Gc=null,te=null,Na;for(Na in c)if(E.call(c,Na)){var fa=c[Na];if(null!=fa){var ue=Na;switch(Na){case "children":Gc=fa;break;case "dangerouslySetInnerHTML":te=fa;break;case "style":nc(a,fa);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "className":ue="class";default:if(ob(Na)&&"function"!==typeof fa&&"symbol"!==typeof fa&&!1!==fa){if(!0===fa)fa="";else if("object"===typeof fa)continue;a.push(Q,y(ue),oc,y(F(fa)),P)}}}}a.push(T);Oc(a,te,Gc);return Gc}}return $c(a,c,b)}var hd=new Map;function Yc(a){var b=hd.get(a);void 0===b&&(b=z("</"+a+">"),hd.set(a,b));return b}function id(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)t(a,b[c]);return c<b.length?(c=b[c],b.length=0,w(a,c)):!0}
var jd=z('<template id="'),kd=z('"></template>'),ld=z("\x3c!--$--\x3e"),md=z('\x3c!--$?--\x3e<template id="'),nd=z('"></template>'),od=z("\x3c!--$!--\x3e"),pd=z("\x3c!--/$--\x3e"),qd=z("<template"),rd=z('"'),sd=z(' data-dgst="');z(' data-msg="');z(' data-stck="');z(' data-cstck="');var td=z("></template>");function ud(a,b,c){t(a,md);if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");t(a,b.boundaryPrefix);t(a,y(c.toString(16)));return w(a,nd)}
var vd=z('<div hidden id="'),wd=z('">'),xd=z("</div>"),yd=z('<svg aria-hidden="true" style="display:none" id="'),zd=z('">'),Ad=z("</svg>"),Bd=z('<math aria-hidden="true" style="display:none" id="'),Cd=z('">'),Dd=z("</math>"),Ed=z('<table hidden id="'),Fd=z('">'),Gd=z("</table>"),Hd=z('<table hidden><tbody id="'),Id=z('">'),Jd=z("</tbody></table>"),Kd=z('<table hidden><tr id="'),Ld=z('">'),Md=z("</tr></table>"),Nd=z('<table hidden><colgroup id="'),Od=z('">'),ve=z("</colgroup></table>");
function we(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return t(a,vd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,wd);case 3:return t(a,yd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,zd);case 4:return t(a,Bd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Cd);case 5:return t(a,Ed),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Fd);case 6:return t(a,Hd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Id);case 7:return t(a,Kd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Ld);
case 8:return t(a,Nd),t(a,b.segmentPrefix),t(a,y(d.toString(16))),w(a,Od);default:throw Error("Unknown insertion mode. This is a bug in React.");}}function xe(a,b){switch(b.insertionMode){case 0:case 1:case 2:return w(a,xd);case 3:return w(a,Ad);case 4:return w(a,Dd);case 5:return w(a,Gd);case 6:return w(a,Jd);case 7:return w(a,Md);case 8:return w(a,ve);default:throw Error("Unknown insertion mode. This is a bug in React.");}}
var ye=z('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("'),ze=z('$RS("'),Ae=z('","'),Be=z('")\x3c/script>');z('<template data-rsi="" data-sid="');z('" data-pid="');
var Ce=z('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("'),De=z('$RC("'),
Ee=z('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
Fe=z('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
Ge=z('$RR("'),He=z('","'),Ie=z('",'),Je=z('"'),Ke=z(")\x3c/script>");z('<template data-rci="" data-bid="');z('<template data-rri="" data-bid="');z('" data-sid="');z('" data-sty="');var Le=z('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("'),Me=z('$RX("'),Ne=z('"'),Oe=z(","),Pe=z(")\x3c/script>");z('<template data-rxi="" data-bid="');z('" data-dgst="');
z('" data-msg="');z('" data-stck="');z('" data-cstck="');var Qe=/[<\u2028\u2029]/g;function Re(a){return JSON.stringify(a).replace(Qe,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Se=/[&><\u2028\u2029]/g;
function Te(a){return JSON.stringify(a).replace(Se,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}
var Ue=z('<style media="not all" data-precedence="'),Ve=z('" data-href="'),We=z('">'),Xe=z("</style>"),Ye=!1,Ze=!0;function $e(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){t(this,Ue);t(this,a.precedence);for(t(this,Ve);d<c.length-1;d++)t(this,c[d]),t(this,af);t(this,c[d]);t(this,We);for(d=0;d<b.length;d++)t(this,b[d]);Ze=w(this,Xe);Ye=!0;b.length=0;c.length=0}}function bf(a){return 2!==a.state?Ye=!0:!1}
function cf(a,b,c){Ye=!1;Ze=!0;b.styles.forEach($e,a);b.stylesheets.forEach(bf);Ye&&(c.stylesToHoist=!0);return Ze}function df(a){for(var b=0;b<a.length;b++)t(this,a[b]);a.length=0}var ef=[];function ff(a){I(ef,a.props);for(var b=0;b<ef.length;b++)t(this,ef[b]);ef.length=0;a.state=2}var gf=z('<style data-precedence="'),hf=z('" data-href="'),af=z(" "),jf=z('">'),kf=z("</style>");
function lf(a){var b=0<a.sheets.size;a.sheets.forEach(ff,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){t(this,gf);t(this,a.precedence);a=0;if(d.length){for(t(this,hf);a<d.length-1;a++)t(this,d[a]),t(this,af);t(this,d[a])}t(this,jf);for(a=0;a<c.length;a++)t(this,c[a]);t(this,kf);c.length=0;d.length=0}}
function mf(a){if(0===a.state){a.state=1;var b=a.props;I(ef,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<ef.length;a++)t(this,ef[a]);ef.length=0}}function nf(a){a.sheets.forEach(mf,this);a.sheets.clear()}var of=z("["),pf=z(",["),qf=z(","),rf=z("]");
function sf(a,b){t(a,of);var c=of;b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)t(a,c),t(a,y(Te(""+d.props.href))),t(a,rf),c=pf;else{t(a,c);var e=d.props["data-precedence"],f=d.props,h=vb(""+d.props.href);t(a,y(Te(h)));e=""+e;t(a,qf);t(a,y(Te(e)));for(var k in f)if(E.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:tf(a,k,e)}t(a,rf);c=pf;d.state=3}});t(a,rf)}
function tf(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=vb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!ob(b))return;b=""+c}t(a,qf);t(a,y(Te(d)));t(a,
qf);t(a,y(Te(b)))}function uf(){return{styles:new Set,stylesheets:new Set}}
function Lb(a){var b=vf();if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(wf,xf)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],I(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}yf(b)}}else zb.D(a)}
function Mb(a,b){var c=vf();if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var h,k;if(k=d&&0<d.remainingCapacity){k="<"+(""+a).replace(wf,xf)+">; rel=preconnect";if("string"===typeof b){var g=(""+b).replace(zf,Af);k+='; crossorigin="'+g+'"'}k=(h=k,2<=(d.remainingCapacity-=h.length))}k?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=h):(f=[],I(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}yf(c)}}else zb.C(a,b)}
function Nb(a,b,c){var d=vf();if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var h=c.imageSrcSet;var k=c.imageSizes;var g=c.fetchPriority}var l=h?h+"\n"+(k||""):a;if(e.imageResources.hasOwnProperty(l))return;e.imageResources[l]=H;e=f.headers;var m;e&&0<e.remainingCapacity&&"high"===g&&(m=gd(a,b,c),2<=(e.remainingCapacity-=m.length))?(f.resets.image[l]=H,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=m):(e=[],I(e,B({rel:"preload",href:h?void 0:
a,as:b},c)),"high"===g?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(l,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;h=[];I(h,B({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?H:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,h);f.bulkPreloads.add(h);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;h=[];f.preloads.scripts.set(a,h);f.bulkPreloads.add(h);
I(h,B({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?H:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(h=e.unknownResources[b],h.hasOwnProperty(a))return}else h={},e.unknownResources[b]=h;h[a]=H;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(l=gd(a,b,c),2<=(e.remainingCapacity-=l.length)))f.resets.font[a]=H,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=l;else switch(e=[],
a=B({rel:"preload",href:a,as:b},c),I(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}yf(d)}}else zb.L(a,b,c)}
function Ob(a,b){var c=vf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?H:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var h=d.unknownResources[f];if(h.hasOwnProperty(a))return}else h={},d.moduleUnknownResources[f]=
h;f=[];h[a]=H}I(f,B({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);yf(c)}}else zb.m(a,b)}
function Qb(a,b,c){var d=vf();if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var h=f.styles.get(b),k=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==k&&(e.styleResources[a]=null,h||(h={precedence:y(F(b)),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,h)),b={state:0,props:B({rel:"stylesheet",href:a,"data-precedence":b},c)},k&&(2===k.length&&fd(b.props,k),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),h.sheets.set(a,b),yf(d))}}else zb.S(a,
b,c)}function Pb(a,b){var c=vf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=B({src:a,async:!0},b),f&&(2===f.length&&fd(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Zc(a,b),yf(c))}}else zb.X(a,b)}
function Rb(a,b){var c=vf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=B({src:a,type:"module",async:!0},b),f&&(2===f.length&&fd(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Zc(a,b),yf(c))}}else zb.M(a,b)}function fd(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function gd(a,b,c){a=(""+a).replace(wf,xf);b=(""+b).replace(zf,Af);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)E.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(zf,Af)+'"'));return b}var wf=/[<>\r\n]/g;
function xf(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var zf=/["';,\r\n]/g;
function Af(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function Bf(a){this.styles.add(a)}function Cf(a){this.stylesheets.add(a)}
var Df="function"===typeof AsyncLocalStorage,Ef=Df?new AsyncLocalStorage:null,Ff=Symbol.for("react.client.reference");
function Gf(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===Ff?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case la:return"Fragment";case ka:return"Portal";case oa:return"Profiler";case na:return"StrictMode";case Ba:return"Suspense";case Ca:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case ta:return(a.displayName||"Context")+".Provider";case sa:return(a._context.displayName||"Context")+".Consumer";case ua:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Da:return b=a.displayName||null,null!==b?b:Gf(a.type)||"Memo";case Ea:b=a._payload;a=a._init;try{return Gf(a(b))}catch(c){}}return null}var Hf={},If=null;
function Jf(a,b){if(a!==b){a.context._currentValue=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Jf(a,c)}b.context._currentValue=b.value}}function Kf(a){a.context._currentValue=a.parentValue;a=a.parent;null!==a&&Kf(a)}
function Lf(a){var b=a.parent;null!==b&&Lf(b);a.context._currentValue=a.value}function Mf(a,b){a.context._currentValue=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Jf(a,b):Mf(a,b)}
function Nf(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Jf(a,c):Nf(a,c);b.context._currentValue=b.value}function Pf(a){var b=If;b!==a&&(null===b?Lf(a):null===a?Kf(b):b.depth===a.depth?Jf(b,a):b.depth>a.depth?Mf(b,a):Nf(b,a),If=a)}
var Qf={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Rf={id:1,overflow:""};function Sf(a,b,c){var d=a.id;a=a.overflow;var e=32-Tf(d)-1;d&=~(1<<e);c+=1;var f=32-Tf(b)+e;if(30<f){var h=e-e%5;f=(d&(1<<h)-1).toString(32);d>>=h;e-=h;return{id:1<<32-Tf(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Tf=Math.clz32?Math.clz32:Uf,Vf=Math.log,Wf=Math.LN2;function Uf(a){a>>>=0;return 0===a?32:31-(Vf(a)/Wf|0)|0}var Xf=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function Yf(){}
function Zf(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(Yf,Yf),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:"string"===typeof b.status?b.then(Yf,Yf):(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}));switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}$f=b;throw Xf;}}var $f=null;
function ag(){if(null===$f)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=$f;$f=null;return a}function bg(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var cg="function"===typeof Object.is?Object.is:bg,dg=null,eg=null,fg=null,gg=null,hg=null,W=null,ig=!1,jg=!1,kg=0,lg=0,mg=-1,ng=0,og=null,pg=null,qg=0;
function rg(){if(null===dg)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return dg}
function sg(){if(0<qg)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function tg(){null===W?null===hg?(ig=!1,hg=W=sg()):(ig=!0,W=hg):null===W.next?(ig=!1,W=W.next=sg()):(ig=!0,W=W.next);return W}function ug(){var a=og;og=null;return a}function vg(){gg=fg=eg=dg=null;jg=!1;hg=null;qg=0;W=pg=null}function wg(a,b){return"function"===typeof b?b(a):b}
function xg(a,b,c){dg=rg();W=tg();if(ig){var d=W.queue;b=d.dispatch;if(null!==pg&&(c=pg.get(d),void 0!==c)){pg.delete(d);d=W.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);W.memoizedState=d;return[d,b]}return[W.memoizedState,b]}a=a===wg?"function"===typeof b?b():b:void 0!==c?c(b):b;W.memoizedState=a;a=W.queue={last:null,dispatch:null};a=a.dispatch=yg.bind(null,dg,a);return[W.memoizedState,a]}
function zg(a,b){dg=rg();W=tg();b=void 0===b?null:b;if(null!==W){var c=W.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!cg(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();W.memoizedState=[a,b];return a}
function yg(a,b,c){if(25<=qg)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===dg)if(jg=!0,a={action:c,next:null},null===pg&&(pg=new Map),c=pg.get(b),void 0===c)pg.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Ag(){throw Error("startTransition cannot be called during server rendering.");}function Bg(){throw Error("Cannot update optimistic state while rendering.");}
function Cg(a,b,c){rg();var d=lg++,e=fg;if("function"===typeof a.$$FORM_ACTION){var f=null,h=gg;e=e.formState;var k=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof k){var g=e[1];k.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+Ra(JSON.stringify([h,null,d]),0),g===f&&(mg=d,b=e[0]))}var l=a.bind(null,b);a=function(n){l(n)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(n){n=l.$$FORM_ACTION(n);void 0!==c&&(c+="",n.action=c);var r=n.data;r&&(null===f&&(f=void 0!==c?"p"+c:"k"+Ra(JSON.stringify([h,
null,d]),0)),r.append("$ACTION_KEY",f));return n});return[b,a,!1]}var m=a.bind(null,b);return[b,function(n){m(n)},!1]}function Dg(a){var b=ng;ng+=1;null===og&&(og=[]);return Zf(og,a,b)}function Eg(){throw Error("Cache cannot be refreshed during server rendering.");}function Fg(){}
var Hg={readContext:function(a){return a._currentValue},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Dg(a);if(a.$$typeof===ta)return a._currentValue}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){rg();return a._currentValue},useMemo:zg,useReducer:xg,useRef:function(a){dg=rg();W=tg();var b=W.memoizedState;return null===b?(a={current:a},W.memoizedState=a):b},useState:function(a){return xg(wg,a)},useInsertionEffect:Fg,
useLayoutEffect:Fg,useCallback:function(a,b){return zg(function(){return a},b)},useImperativeHandle:Fg,useEffect:Fg,useDebugValue:Fg,useDeferredValue:function(a,b){rg();return void 0!==b?b:a},useTransition:function(){rg();return[!1,Ag]},useId:function(){var a=eg.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Tf(a)-1)).toString(32)+b;var c=Gg;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=kg++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+
b.toString(32));return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Eg},useHostTransitionStatus:function(){rg();return yb},useOptimistic:function(a){rg();return[a,Bg]}};Hg.useFormState=Cg;Hg.useActionState=Cg;var Gg=null,Ig={getCacheForType:function(){throw Error("Not implemented.");}},Jg;
function Kg(a){if(void 0===Jg)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Jg=b&&b[1]||""}return"\n"+Jg+a}var Lg=!1;
function Mg(a,b){if(!a||Lg)return"";Lg=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var n=function(){throw Error();};Object.defineProperty(n.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(n,[])}catch(u){var r=u}Reflect.construct(a,[],n)}else{try{n.call()}catch(u){r=u}a.call(n.prototype)}}else{try{throw Error();}catch(u){r=u}(n=a())&&"function"===typeof n.catch&&
n.catch(function(){})}}catch(u){if(u&&r&&"string"===typeof u.stack)return[u.stack,r.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),h=f[0],k=f[1];if(h&&k){var g=h.split("\n"),l=k.split("\n");for(e=d=0;d<g.length&&!g[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<l.length&&!l[e].includes("DetermineComponentFrameRoot");)e++;if(d===g.length||e===l.length)for(d=g.length-1,e=l.length-1;1<=d&&0<=e&&g[d]!==l[e];)e--;for(;1<=d&&0<=e;d--,e--)if(g[d]!==l[e]){if(1!==d||1!==e){do if(d--,e--,0>e||g[d]!==l[e]){var m="\n"+g[d].replace(" at new "," at ");a.displayName&&m.includes("<anonymous>")&&(m=m.replace("<anonymous>",a.displayName));return m}while(1<=d&&0<=e)}break}}}finally{Lg=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Kg(c):""}
function Ng(a){console.error(a);return null}function Og(){}
function Pg(a,b,c,d,e,f,h,k,g,l,m,n){var r=[],u=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:u,pingedTasks:r,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Ng:f,onPostpone:void 0===m?Og:m,onAllReady:void 0===h?Og:h,onShellReady:void 0===
k?Og:k,onShellError:void 0===g?Og:g,onFatalError:void 0===l?Og:l,formState:void 0===n?null:n};c=Qg(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Rg(b,null,a,-1,null,c,null,u,null,d,Hf,null,Rf,null,!1);r.push(a);return b}var Sg=null;function vf(){if(Sg)return Sg;if(Df){var a=Ef.getStore();if(a)return a}return null}function Tg(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,setTimeout(function(){return Ug(a)},0))}
function Vg(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:uf(),fallbackState:uf(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Rg(a,b,c,d,e,f,h,k,g,l,m,n,r,u,x){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return Tg(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:h,abortSet:k,keyPath:g,formatContext:l,legacyContext:m,context:n,treeContext:r,componentStack:u,thenableState:b,isFallback:x};k.add(v);return v}
function Wg(a,b,c,d,e,f,h,k,g,l,m,n,r,u,x){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return Tg(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:h,abortSet:k,keyPath:g,formatContext:l,legacyContext:m,context:n,treeContext:r,componentStack:u,thenableState:b,isFallback:x};k.add(v);return v}
function Qg(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function Xg(a,b){return{tag:0,parent:a.componentStack,type:b}}
function Yg(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Kg(b.type);break;case 1:a+=Mg(b.type,!1);break;case 2:a+=Mg(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function X(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function Zg(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,eb(a.destination,b)):(a.status=1,a.fatalError=b)}function $g(a,b,c,d,e,f){var h=b.thenableState;b.thenableState=null;dg={};eg=b;fg=a;gg=c;lg=kg=0;mg=-1;ng=0;og=h;for(a=d(e,f);jg;)jg=!1,lg=kg=0,mg=-1,ng=0,qg+=1,W=null,a=d(e,f);vg();return a}
function ah(a,b,c,d,e,f,h){var k=!1;if(0!==f&&null!==a.formState){var g=b.blockedSegment;if(null!==g){k=!0;g=g.chunks;for(var l=0;l<f;l++)l===h?g.push(Sc):g.push(Tc)}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Sf(c,1,0),bh(a,b,d,-1),b.treeContext=c):k?bh(a,b,d,-1):Y(a,b,d,-1);b.keyPath=f}
function ch(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){var h=e;if("ref"in e){h={};for(var k in e)"ref"!==k&&(h[k]=e[k])}var g=d.defaultProps;if(g){h===e&&(h=B({},h,e));for(var l in g)void 0===h[l]&&(h[l]=g[l])}e=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};g=Hf;f=d.contextType;"object"===typeof f&&null!==f&&(g=f._currentValue);g=new d(h,g);l=void 0!==g.state?g.state:null;g.updater=Qf;g.props=h;g.state=l;f={queue:[],replace:!1};g._reactInternals=
f;var m=d.contextType;g.context="object"===typeof m&&null!==m?m._currentValue:Hf;m=d.getDerivedStateFromProps;"function"===typeof m&&(m=m(h,l),l=null===m||void 0===m?l:B({},l,m),g.state=l);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof g.getSnapshotBeforeUpdate&&("function"===typeof g.UNSAFE_componentWillMount||"function"===typeof g.componentWillMount))if(d=g.state,"function"===typeof g.componentWillMount&&g.componentWillMount(),"function"===typeof g.UNSAFE_componentWillMount&&
g.UNSAFE_componentWillMount(),d!==g.state&&Qf.enqueueReplaceState(g,g.state,null),null!==f.queue&&0<f.queue.length)if(d=f.queue,m=f.replace,f.queue=null,f.replace=!1,m&&1===d.length)g.state=d[0];else{f=m?d[0]:g.state;l=!0;for(m=m?1:0;m<d.length;m++)k=d[m],k="function"===typeof k?k.call(g,f,h,void 0):k,null!=k&&(l?(l=!1,f=B({},f,k)):B(f,k));g.state=f}else f.queue=null;d=g.render();h=b.keyPath;b.keyPath=c;Y(a,b,d,-1);b.keyPath=h;b.componentStack=e}else h=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,
type:d},d=$g(a,b,c,d,e,void 0),ah(a,b,c,d,0!==kg,lg,mg),b.componentStack=h;else if("string"===typeof d){h=b.componentStack;b.componentStack=Xg(b,d);g=b.blockedSegment;if(null===g)g=e.children,f=b.formatContext,l=b.keyPath,b.formatContext=gc(f,d,e),b.keyPath=c,bh(a,b,g,-1),b.formatContext=f,b.keyPath=l;else{l=ed(g.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,g.lastPushedText,b.isFallback);g.lastPushedText=!1;f=b.formatContext;m=b.keyPath;b.formatContext=gc(f,d,e);b.keyPath=
c;bh(a,b,l,-1);b.formatContext=f;b.keyPath=m;a:{c=g.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=f.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===f.insertionMode){a.hasHtml=!0;break a}}c.push(Yc(d))}g.lastPushedText=!1}b.componentStack=h}else{switch(d){case Oa:case Ga:case na:case oa:case la:d=
b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=d;return;case Ha:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Y(a,b,e.children,-1),b.keyPath=d);return;case Ca:d=b.componentStack;b.componentStack=Xg(b,"SuspenseList");h=b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=h;b.componentStack=d;return;case Fa:throw Error("ReactDOMServer does not yet support scope components.");case Ba:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{bh(a,b,c,-1)}finally{b.keyPath=d}}else{var n=b.componentStack;
d=b.componentStack=Xg(b,"Suspense");var r=b.keyPath;f=b.blockedBoundary;var u=b.hoistableState,x=b.blockedSegment;l=e.fallback;var v=e.children;e=new Set;m=Vg(a,e);null!==a.trackedPostpones&&(m.trackedContentKeyPath=c);k=Qg(a,x.chunks.length,m,b.formatContext,!1,!1);x.children.push(k);x.lastPushedText=!1;var C=Qg(a,0,null,b.formatContext,!1,!1);C.parentFlushed=!0;b.blockedBoundary=m;b.hoistableState=m.contentState;b.blockedSegment=C;b.keyPath=c;try{if(bh(a,b,v,-1),C.lastPushedText&&C.textEmbedded&&
C.chunks.push(hc),C.status=1,dh(m,C),0===m.pendingTasks&&0===m.status){m.status=1;b.componentStack=n;break a}}catch(J){C.status=4,m.status=4,h=Yg(a,b.componentStack),g=X(a,J,h),m.errorDigest=g,eh(a,m)}finally{b.blockedBoundary=f,b.hoistableState=u,b.blockedSegment=x,b.keyPath=r,b.componentStack=n}h=[c[0],"Suspense Fallback",c[2]];g=a.trackedPostpones;null!==g&&(n=[h[1],h[2],[],null],g.workingMap.set(h,n),5===m.status?g.workingMap.get(c)[4]=n:m.trackedFallbackNode=n);b=Rg(a,null,l,-1,f,k,m.fallbackState,
e,h,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case ua:h=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};if("ref"in e)for(m in g={},e)"ref"!==m&&(g[m]=e[m]);else g=e;d=$g(a,b,c,d.render,g,f);ah(a,b,c,d,0!==kg,lg,mg);b.componentStack=h;return;case Da:ch(a,b,c,d.type,e,f);return;case pa:case ta:g=e.children;h=b.keyPath;e=e.value;f=d._currentValue;d._currentValue=e;l=If;
If=d={parent:l,depth:null===l?0:l.depth+1,context:d,parentValue:f,value:e};b.context=d;b.keyPath=c;Y(a,b,g,-1);a=If;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue=a.parentValue;a=If=a.parent;b.context=a;b.keyPath=h;return;case sa:e=e.children;d=e(d._context._currentValue);e=b.keyPath;b.keyPath=c;Y(a,b,d,-1);b.keyPath=e;return;case Ea:h=b.componentStack;b.componentStack=Xg(b,"Lazy");g=d._init;d=g(d._payload);ch(a,b,c,d,e,void 0);
b.componentStack=h;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function fh(a,b,c,d,e){var f=b.replay,h=b.blockedBoundary,k=Qg(a,0,null,b.formatContext,!1,!1);k.id=c;k.parentFlushed=!0;try{b.replay=null,b.blockedSegment=k,bh(a,b,d,e),k.status=1,null===h?a.completedRootSegment=k:(dh(h,k),h.parentFlushed&&a.partialBoundaries.push(h))}finally{b.replay=f,b.blockedSegment=null}}
function Y(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)fh(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case ha:var e=c.type,f=c.key,h=c.props;c=h.ref;var k=void 0!==c?c:null;var g=Gf(e),l=null==f?-1===d?0:d:f;f=[b.keyPath,g,l];if(null!==b.replay)a:{var m=b.replay;d=m.nodes;for(c=0;c<d.length;c++){var n=d[c];if(l===n[1]){if(4===n.length){if(null!==g&&g!==n[0])throw Error("Expected the resume to render <"+n[0]+"> in this slot but instead it rendered <"+
g+">. The tree doesn't match so React will fallback to client rendering.");var r=n[2];g=n[3];l=b.node;b.replay={nodes:r,slots:g,pendingTasks:1};try{ch(a,b,f,e,h,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(D){if("object"===typeof D&&null!==D&&(D===Xf||"function"===typeof D.then))throw b.node===l&&(b.replay=m),D;
b.replay.pendingTasks--;h=Yg(a,b.componentStack);f=a;a=b.blockedBoundary;e=D;h=X(f,e,h);gh(f,a,r,g,e,h)}b.replay=m}else{if(e!==Ba)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(Gf(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{m=void 0;e=n[5];k=n[2];g=n[3];l=null===n[4]?[]:n[4][2];n=null===n[4]?null:n[4][3];var u=b.componentStack,x=b.componentStack=Xg(b,"Suspense"),v=b.keyPath,C=b.replay,J=b.blockedBoundary,
Z=b.hoistableState,ia=h.children;h=h.fallback;var da=new Set,A=Vg(a,da);A.parentFlushed=!0;A.rootSegmentID=e;b.blockedBoundary=A;b.hoistableState=A.contentState;b.replay={nodes:k,slots:g,pendingTasks:1};try{bh(a,b,ia,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===A.pendingTasks&&0===A.status){A.status=1;a.completedBoundaries.push(A);
break b}}catch(D){A.status=4,r=Yg(a,b.componentStack),m=X(a,D,r),A.errorDigest=m,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(A)}finally{b.blockedBoundary=J,b.hoistableState=Z,b.replay=C,b.keyPath=v,b.componentStack=u}b=Wg(a,null,{nodes:l,slots:n,pendingTasks:0},h,-1,J,A.fallbackState,da,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,x,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else ch(a,b,f,e,h,k);return;case ka:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ea:r=b.componentStack;b.componentStack=Xg(b,"Lazy");h=c._init;c=h(c._payload);b.componentStack=r;Y(a,b,c,d);return}if(Qa(c)){hh(a,b,c,d);return}null===c||"object"!==typeof c?r=null:(r=Pa&&c[Pa]||c["@@iterator"],r="function"===typeof r?r:null);if(r&&(r=r.call(c))){c=r.next();if(!c.done){h=[];do h.push(c.value),c=r.next();while(!c.done);hh(a,b,h,d)}return}if("function"===typeof c.then)return b.thenableState=null,Y(a,b,Dg(c),d);if(c.$$typeof===ta)return Y(a,b,c._currentValue,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}if("string"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=ic(d.chunks,c,a.renderState,d.lastPushedText));else if("number"===typeof c||"bigint"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=ic(d.chunks,""+c,a.renderState,d.lastPushedText))}}
function hh(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,h=f.nodes,k=0;k<h.length;k++){var g=h[k];if(g[1]===d){d=g[2];g=g[3];b.replay={nodes:d,slots:g,pendingTasks:1};try{hh(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(n){if("object"===typeof n&&
null!==n&&(n===Xf||"function"===typeof n.then))throw n;b.replay.pendingTasks--;c=Yg(a,b.componentStack);var l=b.blockedBoundary,m=n;c=X(a,m,c);gh(a,l,d,g,m,c)}b.replay=f;h.splice(k,1);break}}b.keyPath=e;return}f=b.treeContext;h=c.length;if(null!==b.replay&&(k=b.replay.slots,null!==k&&"object"===typeof k)){for(d=0;d<h;d++)g=c[d],b.treeContext=Sf(f,h,d),l=k[d],"number"===typeof l?(fh(a,b,l,g,d),delete k[d]):bh(a,b,g,d);b.treeContext=f;b.keyPath=e;return}for(k=0;k<h;k++)d=c[k],b.treeContext=Sf(f,h,k),
bh(a,b,d,k);b.treeContext=f;b.keyPath=e}function eh(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function bh(a,b,c,d){var e=b.formatContext,f=b.legacyContext,h=b.context,k=b.keyPath,g=b.treeContext,l=b.componentStack,m=b.blockedSegment;if(null===m)try{return Y(a,b,c,d)}catch(u){if(vg(),c=u===Xf?ag():u,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ug();a=Wg(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=h;b.keyPath=k;b.treeContext=g;b.componentStack=l;Pf(h);return}}else{var n=m.children.length,r=m.chunks.length;try{return Y(a,b,c,d)}catch(u){if(vg(),m.children.length=n,m.chunks.length=r,c=u===Xf?ag():u,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ug();m=b.blockedSegment;n=Qg(a,m.chunks.length,null,b.formatContext,m.lastPushedText,!0);m.children.push(n);m.lastPushedText=!1;a=Rg(a,d,b.node,b.childIndex,b.blockedBoundary,n,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=h;b.keyPath=k;b.treeContext=g;b.componentStack=l;Pf(h);return}}}b.formatContext=e;b.legacyContext=f;b.context=h;b.keyPath=k;b.treeContext=g;Pf(h);throw c;}function ih(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,jh(this,b,a))}
function gh(a,b,c,d,e,f){for(var h=0;h<c.length;h++){var k=c[h];if(4===k.length)gh(a,b,k[2],k[3],e,f);else{k=k[5];var g=a,l=f,m=Vg(g,new Set);m.parentFlushed=!0;m.rootSegmentID=k;m.status=4;m.errorDigest=l;m.parentFlushed&&g.clientRenderedBoundaries.push(m)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var n in d)delete d[n]}}
function kh(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){X(b,c,d);Zg(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=X(b,c,d),gh(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&lh(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=Yg(b,a.componentStack),a=X(b,c,a),d.errorDigest=a,eh(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return kh(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&mh(b)}
function nh(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var h=c.styles.values(),k=h.next();b:for(;0<e.remainingCapacity&&!k.done;k=h.next())for(var g=k.value.sheets.values(),l=g.next();0<e.remainingCapacity&&!l.done;l=g.next()){var m=l.value,n=m.props,r=n.href,u=m.props,x=gd(u.href,"style",{crossOrigin:u.crossOrigin,integrity:u.integrity,
nonce:u.nonce,type:u.type,fetchPriority:u.fetchPriority,referrerPolicy:u.referrerPolicy,media:u.media});if(2<=(e.remainingCapacity-=x.length))c.resets.style[r]=H,f&&(f+=", "),f+=x,c.resets.style[r]="string"===typeof n.crossOrigin||"string"===typeof n.integrity?[n.crossOrigin,n.integrity]:H;else break b}}f?d({Link:f}):d({})}}}catch(v){X(a,v,{})}}function lh(a){null===a.trackedPostpones&&nh(a,!0);a.onShellError=Og;a=a.onShellReady;a()}
function mh(a){nh(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function dh(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&dh(a,c)}else a.completedSegments.push(b)}
function jh(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&lh(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&dh(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(ih,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(dh(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&mh(a)}
function Ug(a){if(2!==a.status){var b=If,c=wb.H;wb.H=Hg;var d=wb.C;wb.C=Ig;var e=Sg;Sg=a;var f=Gg;Gg=a.resumableState;try{var h=a.pingedTasks,k;for(k=0;k<h.length;k++){var g=h[k],l=a,m=g.blockedSegment;if(null===m){var n=l;if(0!==g.replay.pendingTasks){Pf(g.context);try{Y(n,g,g.node,g.childIndex);if(1===g.replay.pendingTasks&&0<g.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");g.replay.pendingTasks--;
g.abortSet.delete(g);jh(n,g.blockedBoundary,null)}catch(N){vg();var r=N===Xf?ag():N;if("object"===typeof r&&null!==r&&"function"===typeof r.then){var u=g.ping;r.then(u,u);g.thenableState=ug()}else{g.replay.pendingTasks--;g.abortSet.delete(g);var x=Yg(n,g.componentStack);l=void 0;var v=n,C=g.blockedBoundary,J=r,Z=g.replay.nodes,ia=g.replay.slots;l=X(v,J,x);gh(v,C,Z,ia,J,l);n.pendingRootTasks--;0===n.pendingRootTasks&&lh(n);n.allPendingTasks--;0===n.allPendingTasks&&mh(n)}}finally{}}}else if(n=void 0,
v=m,0===v.status){Pf(g.context);var da=v.children.length,A=v.chunks.length;try{Y(l,g,g.node,g.childIndex),v.lastPushedText&&v.textEmbedded&&v.chunks.push(hc),g.abortSet.delete(g),v.status=1,jh(l,g.blockedBoundary,v)}catch(N){vg();v.children.length=da;v.chunks.length=A;var D=N===Xf?ag():N;if("object"===typeof D&&null!==D&&"function"===typeof D.then){var V=g.ping;D.then(V,V);g.thenableState=ug()}else{var aa=Yg(l,g.componentStack);g.abortSet.delete(g);v.status=4;var K=g.blockedBoundary;n=X(l,D,aa);null===
K?Zg(l,D):(K.pendingTasks--,4!==K.status&&(K.status=4,K.errorDigest=n,eh(l,K),K.parentFlushed&&l.clientRenderedBoundaries.push(K)));l.allPendingTasks--;0===l.allPendingTasks&&mh(l)}}finally{}}}h.splice(0,k);null!==a.destination&&oh(a,a.destination)}catch(N){X(a,N,{}),Zg(a,N)}finally{Gg=f,wb.H=c,wb.C=d,c===Hg&&Pf(b),Sg=e}}}
function ph(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,t(b,jd),t(b,a.placeholderPrefix),a=y(d.toString(16)),t(b,a),w(b,kd);case 1:c.status=2;var e=!0,f=c.chunks,h=0;c=c.children;for(var k=0;k<c.length;k++){for(e=c[k];h<e.index;h++)t(b,f[h]);e=qh(a,b,e,d)}for(;h<f.length-1;h++)t(b,f[h]);h<f.length&&(e=w(b,f[h]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function qh(a,b,c,d){var e=c.boundary;if(null===e)return ph(a,b,c,d);e.parentFlushed=!0;if(4===e.status)e=e.errorDigest,w(b,od),t(b,qd),e&&(t(b,sd),t(b,y(F(e))),t(b,rd)),w(b,td),ph(a,b,c,d);else if(1!==e.status)0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),ud(b,a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(Bf,d),e.stylesheets.forEach(Cf,d)),ph(a,b,c,d);else if(e.byteSize>a.progressiveChunkSize)e.rootSegmentID=a.nextSegmentId++,
a.completedBoundaries.push(e),ud(b,a.renderState,e.rootSegmentID),ph(a,b,c,d);else{d&&(c=e.contentState,c.styles.forEach(Bf,d),c.stylesheets.forEach(Cf,d));w(b,ld);c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");qh(a,b,c[0],d)}return w(b,pd)}function rh(a,b,c,d){we(b,a.renderState,c.parentFormatContext,c.id);qh(a,b,c,d);return xe(b,c.parentFormatContext)}
function sh(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)th(a,b,c,d[e]);d.length=0;cf(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;t(b,a.startInlineScript);f?0===(d.instructions&2)?(d.instructions|=10,t(b,Ee)):0===(d.instructions&8)?(d.instructions|=8,t(b,Fe)):t(b,Ge):0===(d.instructions&2)?(d.instructions|=2,t(b,Ce)):t(b,De);d=y(e.toString(16));t(b,a.boundaryPrefix);t(b,d);t(b,He);t(b,a.segmentPrefix);
t(b,d);f?(t(b,Ie),sf(b,c)):t(b,Je);c=w(b,Ke);return id(b,a)&&c}
function th(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return rh(a,b,d,e)}if(f===c.rootSegmentID)return rh(a,b,d,e);rh(a,b,d,e);c=a.resumableState;a=a.renderState;t(b,a.startInlineScript);0===(c.instructions&1)?(c.instructions|=1,t(b,ye)):t(b,ze);t(b,a.segmentPrefix);f=y(f.toString(16));t(b,f);t(b,Ae);t(b,a.placeholderPrefix);t(b,f);b=w(b,Be);return b}
function oh(a,b){p=new Uint8Array(2048);q=0;try{if(!(0<a.pendingRootTasks)){var c,d=a.completedRootSegment;if(null!==d){if(5===d.status)return;var e=a.renderState,f=e.htmlChunks,h=e.headChunks,k;if(f){for(k=0;k<f.length;k++)t(b,f[k]);if(h)for(k=0;k<h.length;k++)t(b,h[k]);else t(b,U("head")),t(b,T)}else if(h)for(k=0;k<h.length;k++)t(b,h[k]);var g=e.charsetChunks;for(k=0;k<g.length;k++)t(b,g[k]);g.length=0;e.preconnects.forEach(df,b);e.preconnects.clear();var l=e.viewportChunks;for(k=0;k<l.length;k++)t(b,
l[k]);l.length=0;e.fontPreloads.forEach(df,b);e.fontPreloads.clear();e.highImagePreloads.forEach(df,b);e.highImagePreloads.clear();e.styles.forEach(lf,b);var m=e.importMapChunks;for(k=0;k<m.length;k++)t(b,m[k]);m.length=0;e.bootstrapScripts.forEach(df,b);e.scripts.forEach(df,b);e.scripts.clear();e.bulkPreloads.forEach(df,b);e.bulkPreloads.clear();var n=e.hoistableChunks;for(k=0;k<n.length;k++)t(b,n[k]);n.length=0;f&&null===h&&t(b,Yc("head"));qh(a,b,d,null);a.completedRootSegment=null;id(b,a.renderState)}var r=
a.renderState;d=0;var u=r.viewportChunks;for(d=0;d<u.length;d++)t(b,u[d]);u.length=0;r.preconnects.forEach(df,b);r.preconnects.clear();r.fontPreloads.forEach(df,b);r.fontPreloads.clear();r.highImagePreloads.forEach(df,b);r.highImagePreloads.clear();r.styles.forEach(nf,b);r.scripts.forEach(df,b);r.scripts.clear();r.bulkPreloads.forEach(df,b);r.bulkPreloads.clear();var x=r.hoistableChunks;for(d=0;d<x.length;d++)t(b,x[d]);x.length=0;var v=a.clientRenderedBoundaries;for(c=0;c<v.length;c++){var C=v[c];
r=b;var J=a.resumableState,Z=a.renderState,ia=C.rootSegmentID,da=C.errorDigest;t(r,Z.startInlineScript);0===(J.instructions&4)?(J.instructions|=4,t(r,Le)):t(r,Me);t(r,Z.boundaryPrefix);t(r,y(ia.toString(16)));t(r,Ne);da&&(t(r,Oe),t(r,y(Re(da||""))));var A=w(r,Pe);if(!A){a.destination=null;c++;v.splice(0,c);return}}v.splice(0,c);var D=a.completedBoundaries;for(c=0;c<D.length;c++)if(!sh(a,b,D[c])){a.destination=null;c++;D.splice(0,c);return}D.splice(0,c);Sa(b);p=new Uint8Array(2048);q=0;var V=a.partialBoundaries;
for(c=0;c<V.length;c++){var aa=V[c];a:{v=a;C=b;var K=aa.completedSegments;for(A=0;A<K.length;A++)if(!th(v,C,aa,K[A])){A++;K.splice(0,A);var N=!1;break a}K.splice(0,A);N=cf(C,aa.contentState,v.renderState)}if(!N){a.destination=null;c++;V.splice(0,c);return}}V.splice(0,c);var O=a.completedBoundaries;for(c=0;c<O.length;c++)if(!sh(a,b,O[c])){a.destination=null;c++;O.splice(0,c);return}O.splice(0,c)}}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length?
(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&t(b,Yc("body")),c.hasHtml&&t(b,Yc("html")),Sa(b),b.close(),a.destination=null):Sa(b)}}function uh(a){a.flushScheduled=null!==a.destination;Df?setTimeout(function(){return Ef.run(a,Ug,a)},0):setTimeout(function(){return Ug(a)},0);null===a.trackedPostpones&&(Df?setTimeout(function(){return Ef.run(a,vh,a)},0):setTimeout(function(){return vh(a)},0))}function vh(a){nh(a,0===a.pendingRootTasks)}
function yf(a){!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination&&(a.flushScheduled=!0,setTimeout(function(){var b=a.destination;b?oh(a,b):a.flushScheduled=!1},0))}function wh(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return kh(e,a,d)});c.clear()}null!==a.destination&&oh(a,a.destination)}catch(e){X(a,e,{}),Zg(a,e)}}
exports.renderToReadableStream=function(a,b){return new Promise(function(c,d){var e,f,h=new Promise(function(u,x){f=u;e=x}),k=b?b.onHeaders:void 0,g;k&&(g=function(u){k(new Headers(u))});var l=ec(b?b.identifierPrefix:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.bootstrapScriptContent:void 0,b?b.bootstrapScripts:void 0,b?b.bootstrapModules:void 0),m=Pg(a,l,dc(l,b?b.nonce:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.importMap:void 0,g,b?b.maxHeadersLength:void 0),fc(b?b.namespaceURI:void 0),
b?b.progressiveChunkSize:void 0,b?b.onError:void 0,f,function(){var u=new ReadableStream({type:"bytes",pull:function(x){if(1===m.status)m.status=2,eb(x,m.fatalError);else if(2!==m.status&&null===m.destination){m.destination=x;try{oh(m,x)}catch(v){X(m,v,{}),Zg(m,v)}}},cancel:function(x){m.destination=null;wh(m,x)}},{highWaterMark:0});u.allReady=h;c(u)},function(u){h.catch(function(){});d(u)},e,b?b.onPostpone:void 0,b?b.formState:void 0);if(b&&b.signal){var n=b.signal;if(n.aborted)wh(m,n.reason);else{var r=
function(){wh(m,n.reason);n.removeEventListener("abort",r)};n.addEventListener("abort",r)}}uh(m)})};exports.version="19.0.0-canary-33a32441e9-20240418";

//# sourceMappingURL=react-dom-server.edge.production.min.js.map
